Index: /extensions/NBC_UserAdvManager/trunk/GT_del_account.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/GT_del_account.php	(revision 9266)
+++ /extensions/NBC_UserAdvManager/trunk/GT_del_account.php	(revision 9266)
@@ -0,0 +1,60 @@
+<?php
+//----------------------------------------------------------- include
+define('PHPWG_ROOT_PATH','./../../');
+
+include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
+
+include_once (UAM_PATH.'include/constants.php');
+include_once (UAM_PATH.'include/functions.inc.php');
+
+$title= l10n('UAM_Deleted_Account_Redirection_Page');
+$page['body_id'] = 'theAboutPage';
+include(PHPWG_ROOT_PATH.'include/page_header.php');
+
+@include(PHPWG_ROOT_PATH.'template/'.$user['template'].
+  '/theme/'.$user['theme'].'/themeconf.inc.php');
+
+
+global $user, $lang, $conf, $errors;
+  
+
+$conf_UAM = unserialize($conf['UserAdvManager']);
+
+if (isset($conf_UAM[24]) and $conf_UAM[24] <> '')
+{
+  // Management of Extension flags ([mygallery], [myurl]) - [username] flag can't be used here
+  $patterns[] = '#\[mygallery\]#i';
+  $replacements[] = $conf['gallery_title'];
+  $patterns[] = '#\[myurl\]#i';
+  $replacements[] = $conf['gallery_url'];
+
+  if (function_exists('get_user_language_desc'))
+  {
+    $custom_text = get_user_language_desc(preg_replace($patterns, $replacements, $conf_UAM[24]));
+  }
+  else $custom_text = l10n(preg_replace($patterns, $replacements, $conf_UAM[24]));
+}
+    
+$template->assign(
+  array(
+    'GALLERY_URL'          => make_index_url(),
+	'CUSTOM_REDIR_MSG'     => $custom_text,
+  )
+);
+
+if (isset($lang['Theme: '.$user['theme']]))
+{
+  $template->assign(
+  	'THEME_ABOUT',l10n('Theme: '.$user['theme'])
+  );
+}
+
+$template->set_filenames(
+  array(
+  	'UAM_RedirPage'=>dirname(__FILE__).'/template/del_account.tpl',
+	)
+);
+
+$template->pparse('UAM_RedirPage');
+include(PHPWG_ROOT_PATH.'include/page_tail.php');
+?>
Index: /extensions/NBC_UserAdvManager/trunk/USR_del_account.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/USR_del_account.php	(revision 9266)
+++ /extensions/NBC_UserAdvManager/trunk/USR_del_account.php	(revision 9266)
@@ -0,0 +1,60 @@
+<?php
+//----------------------------------------------------------- include
+define('PHPWG_ROOT_PATH','./../../');
+
+include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
+
+include_once (UAM_PATH.'include/constants.php');
+include_once (UAM_PATH.'include/functions.inc.php');
+
+$title= l10n('UAM_Deleted_Account_Redirection_Page');
+$page['body_id'] = 'theAboutPage';
+include(PHPWG_ROOT_PATH.'include/page_header.php');
+
+@include(PHPWG_ROOT_PATH.'template/'.$user['template'].
+  '/theme/'.$user['theme'].'/themeconf.inc.php');
+
+
+global $user, $lang, $conf, $errors;
+  
+
+$conf_UAM = unserialize($conf['UserAdvManager']);
+
+if (isset($conf_UAM[32]) and $conf_UAM[32] <> '')
+{
+  // Management of Extension flags ([mygallery], [myurl]) - [username] flag can't be used here
+  $patterns[] = '#\[mygallery\]#i';
+  $replacements[] = $conf['gallery_title'];
+  $patterns[] = '#\[myurl\]#i';
+  $replacements[] = $conf['gallery_url'];
+
+  if (function_exists('get_user_language_desc'))
+  {
+    $custom_text = get_user_language_desc(preg_replace($patterns, $replacements, $conf_UAM[32]));
+  }
+  else $custom_text = l10n(preg_replace($patterns, $replacements, $conf_UAM[32]));
+}
+    
+$template->assign(
+  array(
+    'GALLERY_URL'          => make_index_url(),
+	'CUSTOM_REDIR_MSG'     => $custom_text,
+  )
+);
+
+if (isset($lang['Theme: '.$user['theme']]))
+{
+  $template->assign(
+  	'THEME_ABOUT',l10n('Theme: '.$user['theme'])
+  );
+}
+
+$template->set_filenames(
+  array(
+  	'UAM_RedirPage'=>dirname(__FILE__).'/template/del_account.tpl',
+	)
+);
+
+$template->pparse('UAM_RedirPage');
+include(PHPWG_ROOT_PATH.'include/page_tail.php');
+?>
Index: /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php	(revision 9265)
+++ /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php	(revision 9266)
@@ -74,5 +74,5 @@
 $height = '300px';
 $areas = array();
-array_push( $areas,'UAM_ConfirmMail_Custom_Txt1','UAM_ConfirmMail_Custom_Txt2','UAM_GTAutoDelText');
+array_push( $areas,'UAM_ConfirmMail_Custom_Txt1','UAM_ConfirmMail_Custom_Txt2','UAM_GTAutoDelText','UAM_USRAutoDelText');
 
 if (function_exists('set_fckeditor_instance'))
@@ -122,4 +122,6 @@
 
     $_POST['UAM_CustomPasswRetr_Text'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_CustomPasswRetr_Text'])));
+
+    $_POST['UAM_USRAutoDelText'] = str_replace('\"', '"', str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_GTAutoDelText'])));
 
     // Check if CR-LF exist at begining and end of mail exclusion list - If yes, removes them
@@ -171,5 +173,8 @@
       $_POST['UAM_AdminValidationMail_Text'],
       $_POST['UAM_CustomPasswRetr'],
-      $_POST['UAM_CustomPasswRetr_Text']
+      $_POST['UAM_CustomPasswRetr_Text'],
+      $_POST['UAM_USRAuto'],
+      $_POST['UAM_USRAutoDelText'],
+      $_POST['UAM_USRAutoMail']
       );
 
@@ -412,4 +417,9 @@
     'UAM_CUSTOMPASSWRETR_FALSE'      => $conf_UAM[29]=='false' ?  'checked="checked"' : '' ,
     'UAM_CUSTOMPASSWRETR_TEXT'       => $conf_UAM[30],
+    'UAM_USRAUTO_TRUE'               => $conf_UAM[31]=='true' ?  'checked="checked"' : '' ,
+    'UAM_USRAUTO_FALSE'              => $conf_UAM[31]=='false' ?  'checked="checked"' : '' ,
+    'UAM_USRAUTODEL_TEXT'            => $conf_UAM[32],
+    'UAM_USRAUTOMAIL_TRUE'           => $conf_UAM[33]=='true' ?  'checked="checked"' : '' ,
+    'UAM_USRAUTOMAIL_FALSE'          => $conf_UAM[33]=='false' ?  'checked="checked"' : '' ,
 		'UAM_PASSWORD_TEST_SCORE'        => $UAM_Password_Test_Score,
     'UAM_ERROR_REPORTS4'             => $UAM_Exclusionlist_Error,
Index: /extensions/NBC_UserAdvManager/trunk/admin/template/global.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/template/global.tpl	(revision 9265)
+++ /extensions/NBC_UserAdvManager/trunk/admin/template/global.tpl	(revision 9266)
@@ -90,5 +90,5 @@
           <br><br>
             <input type="radio" value="false" {$UAM_PASSWORDENF_FALSE} name="UAM_Password_Enforced">
-              {'UAM_Password_Enforced_false'|@translate}<br>
+              {'UAM_Disable'|@translate}<br>
             <input type="radio" value="true" {$UAM_PASSWORDENF_TRUE} name="UAM_Password_Enforced">
               {'UAM_Password_Enforced_true'|@translate}&nbsp;
@@ -110,7 +110,7 @@
             <br><br>
               <input type="radio" value="false" {$UAM_ADMINPASSWENF_FALSE} name="UAM_AdminPassword_Enforced">
-                {'UAM_AdminPassword_Enforced_false'|@translate}<br>        
+                {'UAM_Disable'|@translate}<br>        
               <input type="radio" value="true" {$UAM_ADMINPASSWENF_TRUE} name="UAM_AdminPassword_Enforced">
-                {'UAM_AdminPassword_Enforced_true'|@translate}
+                {'UAM_Enable'|@translate}
               <br><br>
             </li>
@@ -123,5 +123,5 @@
             <br><br>
             <input type="radio" value="false" {$UAM_MAILEXCLUSION_FALSE} name="UAM_MailExclusion">
-              {'UAM_MailExclusion_false'|@translate}<br>
+              {'UAM_Disable'|@translate}<br>
             <input type="radio" value="true" {$UAM_MAILEXCLUSION_TRUE} name="UAM_MailExclusion">
               {'UAM_MailExclusion_true'|@translate}
@@ -165,7 +165,7 @@
             <br><br>
             <input type="radio" value="false" {$UAM_MAIL_INFO_FALSE} name="UAM_Mail_Info">
-              {'UAM_Mail_Info_false'|@translate}<br>
+              {'UAM_Disable'|@translate}<br>
             <input type="radio" value="true" {$UAM_MAIL_INFO_TRUE} name="UAM_Mail_Info">
-              {'UAM_Mail_Info_true'|@translate}
+              {'UAM_Enable'|@translate}
             <br><br>
           </li>
@@ -195,5 +195,5 @@
          <br><br>
             <input type="radio" value="false" {$UAM_CONFIRM_MAIL_FALSE} name="UAM_Confirm_Mail">
-              {'UAM_Confirm_Mail_false'|@translate}<br>
+              {'UAM_Disable'|@translate}<br>
             <input type="radio" value="true" {$UAM_CONFIRM_MAIL_TRUE} name="UAM_Confirm_Mail">
               {'UAM_Confirm_Mail_true'|@translate}<br>
@@ -228,7 +228,7 @@
               <br><br>
               <input type="radio" value="false" {$UAM_ADMINCONFMAIL_FALSE} name="UAM_Admin_ConfMail">
-                {'UAM_Admin_ConfMail_false'|@translate}<br>
+                {'UAM_Disable'|@translate}<br>
               <input type="radio" value="true" {$UAM_ADMINCONFMAIL_TRUE} name="UAM_Admin_ConfMail">
-                {'UAM_Admin_ConfMail_true'|@translate}
+                {'UAM_Enable'|@translate}
               <br><br>
             </li>
@@ -350,5 +350,5 @@
               <br><br>
                 <input type="radio" value="false" {$UAM_CONFIRMMAIL_TIMEOUT_FALSE} name="UAM_ConfirmMail_TimeOut">
-                  {'UAM_ConfirmMail_TimeOut_false'|@translate}<br>
+                  {'UAM_Disable'|@translate}<br>
                 <input type="radio" value="true" {$UAM_CONFIRMMAIL_TIMEOUT_TRUE} name="UAM_ConfirmMail_TimeOut">
                   {'UAM_ConfirmMail_TimeOut_true'|@translate}
@@ -362,7 +362,7 @@
               <br><br>
                 <input type="radio" value="false" {$UAM_CONFIRMMAIL_REMAIL_FALSE} name="UAM_ConfirmMail_Remail">
-                  {'UAM_ConfirmMail_Remail_false'|@translate}<br>
+                  {'UAM_Disable'|@translate}<br>
                 <input type="radio" value="true" {$UAM_CONFIRMMAIL_REMAIL_TRUE} name="UAM_ConfirmMail_Remail">
-                  {'UAM_ConfirmMail_Remail_true'|@translate}<br><br>
+                  {'UAM_Enable'|@translate}<br><br>
               </li>
 
@@ -399,4 +399,36 @@
 -->
               </ul>
+          {if $UAM_CONFIRMMAIL_TIMEOUT_FALSE and $UAM_CONFIRMMAIL_REMAIL_FALSE}
+            <div class="uam_hide">
+          {/if}
+<br><hr><br>
+
+              <li><label class="cluetip" title="{'UAM_USRAutoTitle'|translate}|{'UAM_USRAutoTitle_d'|translate}">{'UAM_USRAuto'|@translate}</label>
+              <br><br>
+                <input type="radio" value="false" {$UAM_USRAUTO_FALSE} name="UAM_USRAuto">{'UAM_Disable'|@translate}<br>
+                <input type="radio" value="true" {$UAM_USRAUTO_TRUE} name="UAM_USRAuto">{'UAM_Enable'|@translate}<br><br>
+              </li>
+
+              <ul>
+                <li><label class="cluetip" title="{'UAM_USRAutoDelTitle'|translate}|{'UAM_USRAutoDelTitle_d'|translate}">{'UAM_USRAutoDel'|@translate}</label>
+              <br><br>
+                <textarea class="uam_textfields" name="UAM_USRAutoDelText" id="UAM_USRAutoDelText" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_USRAUTODEL_TEXT}</textarea>
+              <br><br>
+
+              {if 'FCK_PATH'|@defined}
+                <div style="text-align:right;">
+                  <a href="#" onClick="toogleEditor('UAM_USRAutoDelText'); return false;">FCK Editor On/Off</a>
+                </div>
+              {/if}
+                </li>
+
+                <li><label class="cluetip" title="{'UAM_USRAutoMailTitle'|translate}|{'UAM_USRAutoMailTitle_d'|translate}">{'UAM_USRAutoMail'|@translate}</label><br><br>
+                  <input type="radio" value="false" {$UAM_USRAUTOMAIL_FALSE} name="UAM_USRAutoMail">{'UAM_Disable'|@translate}<br>
+                  <input type="radio" value="true" {$UAM_USRAUTOMAIL_TRUE} name="UAM_USRAutoMail">{'UAM_Enable'|@translate}<br><br><br>
+                </li>
+              </ul>
+          {if $UAM_CONFIRMMAIL_TIMEOUT_FALSE and $UAM_CONFIRMMAIL_REMAIL_FALSE}
+            </div>
+          {/if}
           </ul>
 {if $UAM_CONFIRM_MAIL_FALSE}
@@ -419,5 +451,5 @@
         <ul>
           <li><label class="cluetip" title="{'UAM_ghosttrackerTitle'|translate}|{'UAM_ghosttrackerTitle_d'|translate}">{'UAM_GhostTracker'|@translate}</label><br><br>
-            <input type="radio" value="false" {$UAM_GHOSTRACKER_FALSE} name="UAM_GhostUser_Tracker">{'UAM_GhostTracker_false'|@translate}<br>
+            <input type="radio" value="false" {$UAM_GHOSTRACKER_FALSE} name="UAM_GhostUser_Tracker">{'UAM_Disable'|@translate}<br>
             <input type="radio" value="true" {$UAM_GHOSTRACKER_TRUE} name="UAM_GhostUser_Tracker">{'UAM_GhostTracker_true'|@translate}<input type="text" name="UAM_GhostTracker_DayLimit" value="{$UAM_GHOSTRACKER_DAYLIMIT}" size="5" style="text-align: center;"><br><br>
           </li>
@@ -439,6 +471,6 @@
             <li><label class="cluetip" title="{'UAM_GTAutoTitle'|translate}|{'UAM_GTAutoTitle_d'|translate}">{'UAM_GTAuto'|@translate}</label>
             <br><br>
-              <input type="radio" value="false" {$UAM_GTAUTO_FALSE} name="UAM_GTAuto">{'UAM_GTAuto_false'|@translate}<br>
-              <input type="radio" value="true" {$UAM_GTAUTO_TRUE} name="UAM_GTAuto">{'UAM_GTAuto_true'|@translate}<br><br>
+              <input type="radio" value="false" {$UAM_GTAUTO_FALSE} name="UAM_GTAuto">{'UAM_Disable'|@translate}<br>
+              <input type="radio" value="true" {$UAM_GTAUTO_TRUE} name="UAM_GTAuto">{'UAM_Enable'|@translate}<br><br>
             </li>
             
@@ -486,6 +518,6 @@
                     <ul>
                       <li><label class="cluetip" title="{'UAM_GTAutoMailTitle'|translate}|{'UAM_GTAutoMailTitle_d'|translate}">{'UAM_GTAutoMail'|@translate}</label><br><br>
-                        <input type="radio" value="false" {$UAM_GTAUTOMAIL_FALSE} name="UAM_GTAutoMail">{'UAM_GTAutoMail_false'|@translate}<br>
-                        <input type="radio" value="true" {$UAM_GTAUTOMAIL_TRUE} name="UAM_GTAutoMail">{'UAM_GTAutoMail_true'|@translate}<br><br><br>
+                        <input type="radio" value="false" {$UAM_GTAUTOMAIL_FALSE} name="UAM_GTAutoMail">{'UAM_Disable'|@translate}<br>
+                        <input type="radio" value="true" {$UAM_GTAUTOMAIL_TRUE} name="UAM_GTAutoMail">{'UAM_Enable'|@translate}<br><br><br>
                         <textarea class="uam_textfields" name="UAM_GTAutoMailText" id="UAM_GTAutoMailText" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_GTAUTOMAILTEXT}</textarea><br><br>
                       </li>
@@ -501,16 +533,16 @@
 
           <li><label class="cluetip" title="{'UAM_lastvisitTitle'|translate}|{'UAM_lastvisitTitle_d'|translate}">{'UAM_LastVisit'|@translate}</label><br><br>
-            <input type="radio" value="false" {$UAM_ADDLASTVISIT_FALSE} name="UAM_Add_LastVisit_Column">{'UAM_LastVisit_false'|@translate}<br>
-            <input type="radio" value="true" {$UAM_ADDLASTVISIT_TRUE} name="UAM_Add_LastVisit_Column">{'UAM_LastVisit_true'|@translate}<br><br>
+            <input type="radio" value="false" {$UAM_ADDLASTVISIT_FALSE} name="UAM_Add_LastVisit_Column">{'UAM_Disable'|@translate}<br>
+            <input type="radio" value="true" {$UAM_ADDLASTVISIT_TRUE} name="UAM_Add_LastVisit_Column">{'UAM_Enable'|@translate}<br><br>
           </li>
 
           <li><label class="cluetip" title="{'UAM_commentTitle'|translate}|{'UAM_commentTitle_d'|translate}">{'UAM_No_Comment_Anonymous'|@translate}</label><br><br>
-            <input type="radio" value="false" {$UAM_NO_COMMENT_ANO_FALSE} name="UAM_No_Comment_Anonymous">{'UAM_No_Comment_Anonymous_false'|@translate}<br>
-            <input type="radio" value="true" {$UAM_NO_COMMENT_ANO_TRUE} name="UAM_No_Comment_Anonymous">{'UAM_No_Comment_Anonymous_true'|@translate}<br><br>
+            <input type="radio" value="false" {$UAM_NO_COMMENT_ANO_FALSE} name="UAM_No_Comment_Anonymous">{'UAM_Disable'|@translate}<br>
+            <input type="radio" value="true" {$UAM_NO_COMMENT_ANO_TRUE} name="UAM_No_Comment_Anonymous">{'UAM_Enable'|@translate}<br><br>
           </li>
 
           <li><label class="cluetip" title="{'UAM_RedirTitle'|translate}|{'UAM_RedirTitle_d'|translate}">{'UAM_RedirToProfile'|@translate}</label><br><br>
-            <input type="radio" value="false" {$UAM_REDIRTOPROFILE_FALSE} name="UAM_RedirToProfile">{'UAM_RedirToProfile_false'|@translate}<br>
-            <input type="radio" value="true" {$UAM_REDIRTOPROFILE_TRUE} name="UAM_RedirToProfile">{'UAM_RedirToProfile_true'|@translate}<br><br>
+            <input type="radio" value="false" {$UAM_REDIRTOPROFILE_FALSE} name="UAM_RedirToProfile">{'UAM_Disable'|@translate}<br>
+            <input type="radio" value="true" {$UAM_REDIRTOPROFILE_TRUE} name="UAM_RedirToProfile">{'UAM_Enable'|@translate}<br><br>
           </li>
 
@@ -518,6 +550,6 @@
 
           <li><label class="cluetip" title="{'UAM_CustomPasswRetrTitle'|translate}|{'UAM_CustomPasswRetrTitle_d'|translate}">{'UAM_CustomPasswRetr'|@translate}</label><br><br>
-            <input type="radio" value="false" {$UAM_CUSTOMPASSWRETR_FALSE} name="UAM_CustomPasswRetr">{'UAM_CustomPasswRetr_false'|@translate}<br>
-            <input type="radio" value="true" {$UAM_CUSTOMPASSWRETR_TRUE} name="UAM_CustomPasswRetr">{'UAM_CustomPasswRetr_true'|@translate}<br>
+            <input type="radio" value="false" {$UAM_CUSTOMPASSWRETR_FALSE} name="UAM_CustomPasswRetr">{'UAM_Disable'|@translate}<br>
+            <input type="radio" value="true" {$UAM_CUSTOMPASSWRETR_TRUE} name="UAM_CustomPasswRetr">{'UAM_Enable'|@translate}<br>
           <br><br>
             <textarea class="uam_textfields" name="UAM_CustomPasswRetr_Text" id="UAM_CustomPasswRetr_Text" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CUSTOMPASSWRETR_TEXT}</textarea>
Index: /extensions/NBC_UserAdvManager/trunk/changelog.txt.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 9265)
+++ /extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 9266)
@@ -225,4 +225,5 @@
             Bug 1666 fixed - New feature : Customizing "lost password" email
             Bug 2045 fixed - New feature : Special tags insertion in text fields. The tags actually available are [username] (insert current user username),[mygallery] (insert current gallery title), [myurl] (insert gallery url if set in Piwigo's configuration options).
+            Bug 2055 fixed - New automated task for unvalidated registers (auto email reminder sent and auto deletion if already reminded).
             Bug 2072 fixed - Remove sort on "difference in days" in user tracking tab
             Bug 2140 fixed - English sentence corrections
Index: tensions/NBC_UserAdvManager/trunk/del_account.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/del_account.php	(revision 9265)
+++ 	(revision )
@@ -1,60 +1,0 @@
-<?php
-//----------------------------------------------------------- include
-define('PHPWG_ROOT_PATH','./../../');
-
-include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
-
-include_once (UAM_PATH.'include/constants.php');
-include_once (UAM_PATH.'include/functions.inc.php');
-
-$title= l10n('UAM_Deleted_Account_Redirection_Page');
-$page['body_id'] = 'theAboutPage';
-include(PHPWG_ROOT_PATH.'include/page_header.php');
-
-@include(PHPWG_ROOT_PATH.'template/'.$user['template'].
-  '/theme/'.$user['theme'].'/themeconf.inc.php');
-
-
-global $user, $lang, $conf, $errors;
-  
-
-$conf_UAM = unserialize($conf['UserAdvManager']);
-
-if (isset($conf_UAM[24]) and $conf_UAM[24] <> '')
-{
-  // Management of Extension flags ([mygallery], [myurl]) - [username] flag can't be used here
-  $patterns[] = '#\[mygallery\]#i';
-  $replacements[] = $conf['gallery_title'];
-  $patterns[] = '#\[myurl\]#i';
-  $replacements[] = $conf['gallery_url'];
-
-  if (function_exists('get_user_language_desc'))
-  {
-    $custom_text = get_user_language_desc(preg_replace($patterns, $replacements, $conf_UAM[24]));
-  }
-  else $custom_text = l10n(preg_replace($patterns, $replacements, $conf_UAM[24]));
-}
-    
-$template->assign(
-  array(
-    'GALLERY_URL'          => make_index_url(),
-	'CUSTOM_REDIR_MSG'     => $custom_text,
-  )
-);
-
-if (isset($lang['Theme: '.$user['theme']]))
-{
-  $template->assign(
-  	'THEME_ABOUT',l10n('Theme: '.$user['theme'])
-  );
-}
-
-$template->set_filenames(
-  array(
-  	'UAM_RedirPage'=>dirname(__FILE__).'/template/del_account.tpl',
-	)
-);
-
-$template->pparse('UAM_RedirPage');
-include(PHPWG_ROOT_PATH.'include/page_tail.php');
-?>
Index: /extensions/NBC_UserAdvManager/trunk/include/functions.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/include/functions.inc.php	(revision 9265)
+++ /extensions/NBC_UserAdvManager/trunk/include/functions.inc.php	(revision 9266)
@@ -328,4 +328,10 @@
   }
 
+  // Performing User validation scheduled tasks
+  if ((isset($conf_UAM[31]) and $conf_UAM[31] == 'true'))
+  {
+    UAM_USR_ScheduledTasks();
+  }
+
   if ((isset($conf_UAM[21]) and $conf_UAM[21] == 'true'))
   {
@@ -401,6 +407,6 @@
         }
 
-        // If never reminded before, set reminder True
-        if ($reminder) // If user already reminded for ghost account
+        // If user already reminded for ghost account
+        if ($reminder)
         {
           // delete account
@@ -410,5 +416,5 @@
           invalidate_user_cache();
           logout_user();
-          redirect(UAM_PATH.'del_account.php');
+          redirect(UAM_PATH.'GT_del_account.php');
         }
     	}
@@ -523,4 +529,134 @@
   }
 }
+
+/**
+ * Triggered on UAM_LoginTasks()
+ * 
+ * Executes optional post-login tasks for unvalidated users
+ * 
+ */
+function UAM_USR_ScheduledTasks()
+{
+  global $conf, $user, $page;
+
+  if (!defined('PHPWG_ROOT_PATH'))
+  {
+    die('Hacking attempt!');
+  }
+          
+  include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
+
+  $conf_UAM = unserialize($conf['UserAdvManager']);
+  
+  $collection = array();
+  $reminder = false;
+  
+  $page['filtered_users'] = get_unvalid_user_autotasks();
+
+  foreach($page['filtered_users'] as $listed_user)
+  {
+    array_push($collection, $listed_user['id']);
+  }
+
+  // Unvalidated accounts auto email sending and autodeletion if user already reminded
+  if ((isset($conf_UAM[31]) and $conf_UAM[31] == 'true'))
+  {
+    if (count($collection) > 0)
+  	{
+      // Process if a non-admin nor webmaster user is logged
+      if (in_array($user['id'], $collection))
+    	{
+        // Check ConfirmMail reminder state
+        $query = '
+SELECT reminder
+FROM '.USER_CONFIRM_MAIL_TABLE.'
+WHERE user_id = '.$user['id'].';';
+
+        $result = pwg_db_fetch_assoc(pwg_query($query));
+
+        if (isset($result['reminder']) and $result['reminder'] == 'true')
+        {
+          $reminder = true;
+        }
+        else
+        {
+          $reminder = false;
+        }
+
+        // If never reminded before, send reminder and set reminder True
+        if (!$reminder and isset($conf_UAM[33]) and $conf_UAM[33] == 'true')
+        {
+     		  $typemail = 1;
+          
+          // Get current user informations
+          $query = "
+SELECT id, username, mail_address
+FROM ".USERS_TABLE."
+WHERE id = '".$user['id']."'
+;";
+          $data = pwg_db_fetch_assoc(pwg_query($query));
+
+          ResendMail2User($typemail,$user['id'],stripslashes($data['username']),$data['mail_address'],true);
+        }
+
+        // If already reminded before, delete user
+        if ($reminder)
+        {
+          // delete account
+          delete_user($user['id']);
+
+          // Logged-in user cleanup, session destruction and redirected to custom page
+          invalidate_user_cache();
+          logout_user();
+          redirect(UAM_PATH.'USR_del_account.php');
+        }
+    	}
+      else // Process if an admin or webmaster user is logged
+      {
+        foreach ($collection as $user_id)
+        {
+          // Check reminder state
+          $query = '
+SELECT reminder
+FROM '.USER_CONFIRM_MAIL_TABLE.'
+WHERE user_id = '.$user_id.';';
+
+          $result = pwg_db_fetch_assoc(pwg_query($query));
+
+          if (isset($result['reminder']) and $result['reminder'] == 'true')
+          {
+            $reminder = true;
+          }
+          else
+          {
+            $reminder = false;
+          }
+
+          // If never reminded before, send reminder and set reminder True
+          if (!$reminder and isset($conf_UAM[33]) and $conf_UAM[33] == 'true')
+          {
+            $typemail = 1;
+          
+            // Get current user informations
+            $query = "
+SELECT id, username, mail_address
+FROM ".USERS_TABLE."
+WHERE id = '".$user_id."'
+;";
+            $data = pwg_db_fetch_assoc(pwg_query($query));
+
+            ResendMail2User($typemail,$user_id,stripslashes($data['username']),$data['mail_address'],true);
+          }
+          elseif ($reminder) // If user already reminded for account validation
+          {
+            // delete account
+            delete_user($user_id);
+          }
+        }
+      }
+    }
+  }
+}
+
 
 /**
@@ -1441,6 +1577,5 @@
 ;";
     $data = pwg_db_fetch_assoc(pwg_query($query));
-        
-    //if (!empty($data) and isset($data['user_id']) and !isset($data['date_check']))
+
     if (!empty($data) and isset($data['user_id']))
     {
@@ -1478,5 +1613,5 @@
 						$query = '
 UPDATE '.USER_CONFIRM_MAIL_TABLE.'
-SET date_check="'.$dbnow.'"
+SET date_check="'.$dbnow.'", reminder="false"
 WHERE id = "'.$id.'"
 ;';
@@ -1850,4 +1985,41 @@
 
 /**
+ * Function called from functions.inc.php - Get all users who haven't validate their registration in configured time
+ * to delete or remail them automatically
+ * 
+ * @return : List of users
+ * 
+ */
+function get_unvalid_user_autotasks()
+{
+	global $conf, $page;
+          
+	// Get ConfirmMail configuration
+  $conf_UAM_ConfirmMail = unserialize($conf['UserAdvManager_ConfirmMail']);
+  
+  $users = array();
+
+	// search users depending expiration date
+  $query = '
+SELECT DISTINCT u.'.$conf['user_fields']['id'].' AS id,
+                ui.registration_date
+FROM '.USERS_TABLE.' AS u
+  INNER JOIN '.USER_INFOS_TABLE.' AS ui
+    ON u.'.$conf['user_fields']['id'].' = ui.user_id
+WHERE u.'.$conf['user_fields']['id'].' >= 3
+  AND (TO_DAYS(NOW()) - TO_DAYS(ui.registration_date) >= "'.$conf_UAM_ConfirmMail[1].'")
+ORDER BY ui.registration_date ASC;';
+
+	$result = pwg_query($query);
+      
+  while ($row = pwg_db_fetch_assoc($result))
+  {
+    array_push($users, $row);
+	}
+
+	return $users;
+}
+
+/**
  * Function called from UAM_admin.php - Get ghost users
  * 
@@ -1925,15 +2097,5 @@
   while ($row = pwg_db_fetch_assoc($result))
   {
-  	$user = $row;
-    $user['groups'] = array();
-
-    array_push($users, $user);
-	}
-
-	// add group lists
-  $user_ids = array();
-  foreach ($users as $i => $user)
-  {
-  	$user_ids[$i] = $user['id'];
+    array_push($users, $row);
 	}
   
Index: /extensions/NBC_UserAdvManager/trunk/include/upgradedb.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/include/upgradedb.inc.php	(revision 9265)
+++ /extensions/NBC_UserAdvManager/trunk/include/upgradedb.inc.php	(revision 9266)
@@ -337,5 +337,5 @@
   $Newconf_UAM[30] = 'You have requested a password reset on our gallery. Please, find below your new connection settings.';
   $Newconf_UAM[31] = 'false';
-  $Newconf_UAM[32] = 'Sorry [username], your account has been deleted because you have not validated your registration in requested time. Please, try registration with a valid and non blocked email account.';
+  $Newconf_UAM[32] = 'Sorry, your account has been deleted because you have not validated your registration in requested time. Please, try registration with a valid and non blocked email account.';
   $Newconf_UAM[33] = 'false';
   
Index: /extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php	(revision 9265)
+++ /extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php	(revision 9266)
@@ -40,10 +40,5 @@
 Die Satzung sind validiert f&uuml;r den Einsatz in Verbindung mit der &quot;Best&auml;tigung der Anmeldung&quot;';
 $lang['UAM_validationlimitTitle'] = 'Anmeldeschluss Validierung beschränkt';
-$lang['UAM_validationlimitTitle_d'] = 'Diese Option ermöglicht es, die Gültigkeit der Schlüssel Validierung E-Mail-Grenze geschickt, um neue Registranten. Besucher, wer x Tage Zeit haben, um sich identifizieren, zu registrieren. Nach Ablauf dieser Frist die Validierung Link läuft.<br><br>
-Diese Option ist in Verbindung mit der &quot;Best&auml;tigung der Anmeldung verwendet&quot;';
 $lang['UAM_remailTitle'] = 'Erinnern Unvalidierte User';
-$lang['UAM_remailTitle_d'] = 'Mit dieser Option k&ouml;nnen Sie eine Erinnerung per E-Mail an registrierte Benutzer zu senden, aber noch nicht best&auml;tigt ihre Eintragung in die Zeit. Es funktioniert also in Verbindung mit der &quot;Best&auml;tigung der Anmeldung&quot;<br><br>
-2 Arten von E-Mails gesendet werden können: Mit oder ohne Regeneration der Validierung Schlüssel. Gegebenenfalls kann der Inhalt von E-Mails angepasst werden.<br><br>
-Wenden Sie sich an die &quot;Tracking Validierungen&quot; aus.';
 $lang['UAM_remailtxt1Title'] = 'Reminder per E-Mail mit den neuen Schlüssel generiert';
 $lang['UAM_remailtxt2Title'] = 'Reminder per E-Mail, ohne dass neue Schlüssel generiert';
@@ -241,4 +236,30 @@
 <br><br>
 To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
+/*TODO*/$lang['UAM_validationlimitTitle_d'] = 'Diese Option ermöglicht es, die Gültigkeit der Schlüssel Validierung E-Mail-Grenze geschickt, um neue Registranten. Besucher, wer x Tage Zeit haben, um sich identifizieren, zu registrieren. Nach Ablauf dieser Frist die Validierung Link läuft.
+<br><br>
+Diese Option ist in Verbindung mit der &quot;Best&auml;tigung der Anmeldung verwendet&quot;
+<br><br>
+If this option and the option &quot;Erinnern Unvalidierte User&quot; are activated, new options will appear below in this section to enable the automation of unvalidated users management.';
+/*TODO*/$lang['UAM_remailTitle_d'] = 'Mit dieser Option k&ouml;nnen Sie eine Erinnerung per E-Mail an registrierte Benutzer zu senden, aber noch nicht best&auml;tigt ihre Eintragung in die Zeit. Es funktioniert also in Verbindung mit der &quot;Best&auml;tigung der Anmeldung&quot;
+<br><br>
+2 Arten von E-Mails gesendet werden können: Mit oder ohne Regeneration der Validierung Schlüssel. Gegebenenfalls kann der Inhalt von E-Mails angepasst werden.
+<br><br>
+Wenden Sie sich an die &quot;Tracking Validierungen&quot; aus.
+<br><br>
+If this option and the option &quot;Anmeldeschluss Validierung beschränkt&quot; are activated, new options will appear below in this section to enable the automation of unvalidated users management.';
+/*TODO*/$lang['UAM_USRAutoTitle'] = 'Automatic management of unvalidated users';
+/*TODO*/$lang['UAM_USRAutoTitle_d'] = 'Automatic handling of unvalidated visitors is triggered each time you connect to the gallery and works as follows:
+<br><br>
+- Automatic deletion of accounts not validated in the allotted time without sending automatic email reminder -> &quot;Deadline for registration validation limited&quot; <b><u>enabled</u></b> and &quot;Remind unvalidated users&quot; <b><u>disabled</u></b>.
+<br><br>
+- Automatically sending a reminder message with a new generation of validation key and automatic deletion of accounts not validated in the time after sending the reminder -> &quot;Deadline for registration validation limited&quot; <b><u>enabled</u></b> et &quot;Remind unvalidated users&quot; <b><u>enabled</u></b>.';
+/*TODO*/$lang['UAM_USRAutoDelTitle'] = 'Custom message on deleted account';
+/*TODO*/$lang['UAM_USRAutoDelTitle_d'] = 'This is only valid when the user whose account has expired itself triggers the deletion mechanism (rare but possible). he\'s then disconnected of the gallery and redirected to a page showing the deletion of his account and, possibly, the reasons for this deletion.
+<br><br>
+Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery. Use <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options. <b style=&quot;color: red;&quot;>[username]</b> is not available here because concerned user has been deleted.
+<br><br>
+Custom text for the redirect page can be entered in this field that is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.';
+/*TODO*/$lang['UAM_USRAutoMailTitle'] = 'Automated email reminder';
+/*TODO*/$lang['UAM_USRAutoMailTitle_d'] = 'When activated, this function will automatically send personalized content in &quot;Reminder email with new key generated&quot; to visitors who match criteria.';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 9265)
+++ /extensions/NBC_UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 9266)
@@ -113,27 +113,17 @@
 $lang['UAM_Title4'] = 'Tipps und Beispiele für die Benutzung';
 $lang['UAM_No_Casse'] = 'Benutzernamen: Groß-und Kleinschreibung';
-$lang['UAM_No_Casse_true'] = ' Aktivieren';
-$lang['UAM_No_Casse_false'] = ' Deaktivieren (Standard)';
 $lang['UAM_Username_Char'] = ' Benutzernamen: Ausschluss von Zeichen';
 $lang['UAM_Username_Char_true'] = ' Zeichen Verboten:<br>(Verwenden Sie ein Komma, um ein Zeichen getrennt)<br><br>';
 $lang['UAM_Username_Char_false'] = ' Erlauben Sie alle (Standard)';
 $lang['UAM_Password_Enforced'] = 'Stärkung des Sicherheitsniveaus von Kennwörtern';
-$lang['UAM_Password_Enforced_true'] = ' Aktivieren. Minimale Punktzahl: ';
-$lang['UAM_Password_Enforced_false'] = ' Deaktivieren (Standard)';
 $lang['UAM_AdminPassword_Enforced'] = 'Die Anwendung für Administratoren';
-$lang['UAM_AdminPassword_Enforced_true'] = ' Aktivieren';
-$lang['UAM_AdminPassword_Enforced_false'] = ' Deaktivieren (Standard)';
 $lang['UAM_PasswordTest'] = 'Passwort testen : ';
 $lang['UAM_ScoreTest'] = 'Ergebnis : ';
 $lang['UAM_MailExclusion'] = 'E-Mail-Domänen Ausgrenzung';
 $lang['UAM_MailExclusion_true'] = ' Schließen Sie die folgenden E-Mail-Domänen:<br>(Verwenden Sie ein Komma zu trennen jede Domain)';
-$lang['UAM_MailExclusion_false'] = ' Deaktivieren (Standard)';
 
 $lang['UAM_Mail_Info'] = 'Informationen E-Mail an Benutzer:';
-$lang['UAM_Mail_Info_true'] = ' Aktivieren';
-$lang['UAM_Mail_Info_false'] = ' Deaktivieren (Standard)';
 $lang['UAM_MailInfo_Text'] = ' Anpassen der Informationen per E-Mail:';
 $lang['UAM_Confirm_Mail'] = 'Bestätigung der Anmeldung:';
-$lang['UAM_Confirm_Mail_false'] = ' Deaktivieren (Standard)';
 $lang['UAM_ConfirmMail_Text'] = ' Anpassen der E-Mail-Bestätigung';
 $lang['UAM_Confirm_grpstat_notice'] = 'Achtung: Es ist ratsam, entweder die Gruppe oder die Validierung Satzung und nicht beide gleichzeitig.';
@@ -146,8 +136,5 @@
 $lang['UAM_ValidationLimit_Info'] = 'Anmeldeschluss Validierung beschränkt';
 $lang['UAM_ConfirmMail_TimeOut_true'] = ' Aktivieren. Anzahl der Tage bis zum Ablauf: ';
-$lang['UAM_ConfirmMail_TimeOut_false'] = ' Deaktivieren (Standard)';
 $lang['UAM_ConfirmMail_Remail'] = 'Erinnern Unvalidierte User';
-$lang['UAM_ConfirmMail_Remail_true'] = ' Aktivieren';
-$lang['UAM_ConfirmMail_Remail_false'] = ' Deaktivieren (Standard)';
 $lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Anpassen der Erinnerungs-Nachricht <b><u>mit</u></b> neue Regeneration der Schlüssel Validierung.';
 $lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Anpassen der Erinnerungs-Nachricht <b><u>ohne</u></b> neue Regeneration der Schlüssel Validierung.';
@@ -155,12 +142,7 @@
 $lang['UAM_GhostTracker'] = 'Geist Besucher-Management (Geist Tracker)';
 $lang['UAM_GhostTracker_true'] = ' Aktivieren. Maximale Zeit in Tagen zwischen zwei Besuche: ';
-$lang['UAM_GhostTracker_false'] = ' Deaktivieren (Standard)';
 $lang['UAM_GhostTracker_ReminderText'] = 'Anpassen der Geist Tracker Erinnerungs-Nachricht';
 $lang['UAM_LastVisit'] = ' Tracking registrierte Benutzer';
-$lang['UAM_LastVisit_true'] = ' Aktivieren';
-$lang['UAM_LastVisit_false'] = ' Deaktivieren (Standard)';
 $lang['UAM_No_Comment_Anonymous'] = 'Nickname obligatorisch für Gäste Kommentare';
-$lang['UAM_No_Comment_Anonymous_true'] = ' Aktivieren';
-$lang['UAM_No_Comment_Anonymous_false'] = ' Deaktivieren (Standard)';
 
 $lang['UAM_Tab_UserManager'] = 'Tracking Validierungen';
@@ -194,6 +176,4 @@
 // --------- Starting below: New or revised $lang ---- from version 2.14.0
 $lang['UAM_AdminConfMail'] = 'Bestätigung der Anmeldung für Administratoren';
-$lang['UAM_Admin_ConfMail_true'] = ' Aktivieren';
-$lang['UAM_Admin_ConfMail_false'] = '  Deaktivieren (Standard)';
 $lang['UAM_Tips1'] = 'Anmeldungen mit E-Mail Validierung und Warnmeldung auf der Piwigo\'s Homepage';
 $lang['UAM_Tips1_txt'] = '
@@ -261,6 +241,4 @@
 $lang['UAM_Confirm_Mail_local'] = ' Aktivieren - Validation von admin (keine Validierung Key gesendet)';
 $lang['UAM_RedirToProfile'] = 'Umleitung auf "Benutzerdaten" Seite';
-$lang['UAM_RedirToProfile_false'] = ' Deaktivieren (Standard)';
-$lang['UAM_RedirToProfile_true'] = ' Aktivieren';
 // --------- End: New or revised $lang ---- from version 2.15.4
 
@@ -270,11 +248,7 @@
 $lang['UAM_Expired_Status'] = '<b>Status</b> für Benutzer-Registrierung abgelaufen<br>';
 $lang['UAM_GTAuto'] = 'Automatische Verwaltung von Geist Benutzern';
-$lang['UAM_GTAuto_false'] = ' Deaktivieren (Standard)';
-$lang['UAM_GTAuto_true'] = ' Aktivieren';
 $lang['UAM_GTAutoDel'] = 'Automatisches Löschen von Konten';
 $lang['UAM_GTAutoGp'] = 'Automatischer Wechsel der Gruppe / Status';
 $lang['UAM_GTAutoMail'] = 'Automatisches Versenden einer E-Mail beim Wechsel Gruppe / Status';
-$lang['UAM_GTAutoMail_false'] = ' Deaktivieren (Standard)';
-$lang['UAM_GTAutoMail_true'] = ' Aktivieren';
 $lang['UAM_Deleted_Account_Redirection_Page'] = 'Zugriff verweigert - Account zerstört!';
 $lang['UAM_title_redir_page'] = 'Zugriff verweigert sich für ein Konto zerstört!';
@@ -289,6 +263,9 @@
 // --------- Starting below: New or revised $lang ---- from version 2.20.0
 /*TODO*/$lang['UAM_CustomPasswRetr'] = 'Customize lost password email content';
-$lang['UAM_CustomPasswRetr_false'] = ' Deaktivieren (Standard)';
-$lang['UAM_CustomPasswRetr_true'] = ' Aktivieren';
+/*TODO*/$lang['UAM_USRAuto'] = 'Automatic management of unvalidated users';
+/*TODO*/$lang['UAM_USRAutoDel'] = 'Custom message on deleted account';
+/*TODO*/$lang['UAM_USRAutoMail'] = 'Automated email reminder';
+$lang['UAM_Disable'] = ' Deaktivieren (Standard)';
+$lang['UAM_Enable'] = ' Aktivieren ';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 9265)
+++ /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 9266)
@@ -40,10 +40,5 @@
 The Statutes are validated for use in conjunction with the &quot;Confirmation of registration&quot;';
 $lang['UAM_validationlimitTitle'] = 'Deadline for registration validation limited';
-$lang['UAM_validationlimitTitle_d'] = 'This option allows to limit the validity of key validation email sent to new registrants. Visitors who register will have x days of time to validate their registration. After this period the validation link will expire.<br><br>
-This option is used in conjunction with the &quot;Confirmation of registration&quot;';
 $lang['UAM_remailTitle'] = 'Remind unvalidated users';
-$lang['UAM_remailTitle_d'] = 'This option allows you to send a reminder email to users registered but have not validated their registration on time. It therefore works in conjunction with the &quot;Confirmation of registration&quot;<br><br>
-2 types of emails can be sent: With or without regeneration of the validation key. As appropriate, the content of emails can be customized.<br><br>
-Refer to the &quot;Tracking validations&quot; tab.';
 $lang['UAM_remailtxt1Title'] = 'Reminder email with new key generated';
 $lang['UAM_remailtxt2Title'] = 'Reminder email without new key generated';
@@ -241,4 +236,30 @@
 <br><br>
 To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
+$lang['UAM_validationlimitTitle_d'] = 'This option allows to limit the validity of key validation email sent to new registrants. Visitors who register will have x days of time to validate their registration. After this period the validation link will expire.
+<br><br>
+This option is used in conjunction with the &quot;Confirmation of registration&quot;
+<br><br>
+If this option and the option &quot;Remind unvalidated users&quot; are activated, new options will appear below in this section to enable the automation of unvalidated users management.';
+$lang['UAM_remailTitle_d'] = 'This option allows you to send a reminder email to users registered but have not validated their registration on time. It therefore works in conjunction with the &quot;Confirmation of registration&quot;
+<br><br>
+2 types of emails can be sent: With or without regeneration of the validation key. As appropriate, the content of emails can be customized.
+<br><br>
+Refer to the &quot;Tracking validations&quot; tab.
+<br><br>
+If this option and the option &quot;Deadline for registration validation limited&quot; are activated, new options will appear below in this section to enable the automation of unvalidated users management.';
+$lang['UAM_USRAutoTitle'] = 'Automatic management of unvalidated users';
+$lang['UAM_USRAutoTitle_d'] = 'Automatic handling of unvalidated visitors is triggered each time you connect to the gallery and works as follows:
+<br><br>
+- Automatic deletion of accounts not validated in the allotted time without sending automatic email reminder -> &quot;Deadline for registration validation limited&quot; <b><u>enabled</u></b> and &quot;Remind unvalidated users&quot; <b><u>disabled</u></b>.
+<br><br>
+- Automatically sending a reminder message with a new generation of validation key and automatic deletion of accounts not validated in the time after sending the reminder -> &quot;Deadline for registration validation limited&quot; <b><u>enabled</u></b> et &quot;Remind unvalidated users&quot; <b><u>enabled</u></b>.';
+$lang['UAM_USRAutoDelTitle'] = 'Custom message on deleted account';
+$lang['UAM_USRAutoDelTitle_d'] = 'This is only valid when the user whose account has expired itself triggers the deletion mechanism (rare but possible). he\'s then disconnected of the gallery and redirected to a page showing the deletion of his account and, possibly, the reasons for this deletion.
+<br><br>
+Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery. Use <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options. <b style=&quot;color: red;&quot;>[username]</b> is not available here because concerned user has been deleted.
+<br><br>
+Custom text for the redirect page can be entered in this field that is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.';
+$lang['UAM_USRAutoMailTitle'] = 'Automated email reminder';
+$lang['UAM_USRAutoMailTitle_d'] = 'When activated, this function will automatically send personalized content in &quot;Reminder email with new key generated&quot; to visitors who match criteria.';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 9265)
+++ /extensions/NBC_UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 9266)
@@ -111,6 +111,4 @@
 $lang['UAM_Title4'] = 'Tips and examples of use';
 $lang['UAM_No_Casse'] = 'Usernames: Case sensitivity';
-$lang['UAM_No_Casse_true'] = ' Enable';
-$lang['UAM_No_Casse_false'] = ' Disable (default)';
 $lang['UAM_Username_Char'] = 'Usernames: Exclusion of characters';
 $lang['UAM_Username_Char_true'] = ' Banning characters:<br>(Use a comma to separate each character)<br><br>';
@@ -118,20 +116,13 @@
 $lang['UAM_Password_Enforced'] = 'Strengthening the security level of passwords';
 $lang['UAM_Password_Enforced_true'] = ' Enable. Minimum Score: ';
-$lang['UAM_Password_Enforced_false'] = ' Disable (default)';
 $lang['UAM_AdminPassword_Enforced'] = 'Applying to administrators';
-$lang['UAM_AdminPassword_Enforced_true'] = ' Enable';
-$lang['UAM_AdminPassword_Enforced_false'] = ' Disable (default)';
 $lang['UAM_PasswordTest'] = 'Password test: ';
 $lang['UAM_ScoreTest'] = 'Result: ';
 $lang['UAM_MailExclusion'] = 'Email domains exclusion';
 $lang['UAM_MailExclusion_true'] = ' Exclude the following domains:<br>(Use a comma to separate each domain)';
-$lang['UAM_MailExclusion_false'] = ' Disable (default)';
 
 $lang['UAM_Mail_Info'] = 'Information email to user:';
-$lang['UAM_Mail_Info_true'] = ' Enable';
-$lang['UAM_Mail_Info_false'] = ' Disable (default)';
 $lang['UAM_MailInfo_Text'] = ' Customizing the information email:';
 $lang['UAM_Confirm_Mail'] = 'Confirmation of registration:';
-$lang['UAM_Confirm_Mail_false'] = ' Disable (default)';
 $lang['UAM_ConfirmMail_Text'] = ' Customizing the confirmation email:';
 $lang['UAM_Confirm_grpstat_notice'] = 'Caution: It is advisable to use either the group or the validation statutes and not both simultaneously.';
@@ -144,8 +135,5 @@
 $lang['UAM_ValidationLimit_Info'] = 'Deadline for registration validation limited';
 $lang['UAM_ConfirmMail_TimeOut_true'] = ' Enable. Number of days until expiration: ';
-$lang['UAM_ConfirmMail_TimeOut_false'] = ' Disable (default)';
 $lang['UAM_ConfirmMail_Remail'] = 'Remind unvalidated users';
-$lang['UAM_ConfirmMail_Remail_true'] = ' Enable';
-$lang['UAM_ConfirmMail_Remail_false'] = ' Disable (default)';
 $lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Customizing the reminder message <b><u>with</u></b> new regeneration of key validation.';
 $lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Customizing the reminder message <b><u>without</u></b> regeneration of key validation.';
@@ -153,12 +141,7 @@
 $lang['UAM_GhostTracker'] = 'Ghost visitors management (Ghost Tracker)';
 $lang['UAM_GhostTracker_true'] = ' Enable. Maximum period in days between two visits: ';
-$lang['UAM_GhostTracker_false'] = ' Disable (default)';
 $lang['UAM_GhostTracker_ReminderText'] = 'Customizing Ghost Tracker\'s reminder message';
 $lang['UAM_LastVisit'] = ' Tracking registered users';
-$lang['UAM_LastVisit_true'] = ' Enable';
-$lang['UAM_LastVisit_false'] = ' Disable (default)';
 $lang['UAM_No_Comment_Anonymous'] = 'Nickname mandatory for guests comments';
-$lang['UAM_No_Comment_Anonymous_true'] = ' Enable';
-$lang['UAM_No_Comment_Anonymous_false'] = ' Disable (default)';
 
 $lang['UAM_Tips1'] = 'Registrations with email validation and warning message on the Piwigo\'s homepage';
@@ -193,6 +176,4 @@
 // --------- Starting below: New or revised $lang ---- from version 2.14.0
 $lang['UAM_AdminConfMail'] = 'Confirmation of registration for admins';
-$lang['UAM_Admin_ConfMail_true'] = ' Enable';
-$lang['UAM_Admin_ConfMail_false'] = ' Disable (default)';
 $lang['UAM_Tips1_txt'] = '
           <ul>
@@ -259,6 +240,4 @@
 $lang['UAM_Confirm_Mail_local'] = ' Enable - Validation by admin (no validation key sent)';
 $lang['UAM_RedirToProfile'] = 'Redirect to "Customization" page';
-$lang['UAM_RedirToProfile_false'] = ' Disable (default)';
-$lang['UAM_RedirToProfile_true'] = ' Enable';
 // --------- End: New or revised $lang ---- from version 2.15.4
 
@@ -268,16 +247,15 @@
 $lang['UAM_Expired_Status'] = '<b>Status</b> for user\'s registration has expired<br>';
 $lang['UAM_GTAuto'] = 'Automatic management of ghosts users';
-$lang['UAM_GTAuto_false'] = ' Disable (default)';
-$lang['UAM_GTAuto_true'] = ' Enable';
 $lang['UAM_GTAutoDel'] = 'Automatic deletion of accounts';
 $lang['UAM_GTAutoGp'] = 'Automatic change of group / status';
 $lang['UAM_GTAutoMail'] = 'Automatically sending an email when changing group / status';
-$lang['UAM_GTAutoMail_false'] = ' Disable (default)';
-$lang['UAM_GTAutoMail_true'] = ' Enable';
 $lang['UAM_Deleted_Account_Redirection_Page'] = 'Access denied - Account destroyed!';
 $lang['UAM_title_redir_page'] = 'Access denied for having an account destroyed!';
-$lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Consistency error in the configuration chosen:<br><br>
-"Setting the followed registrations and other options > Ghost visitors management (Ghost Tracker) > Automatic management of ghosts users > Automatically sending an email when changing group / status" can not be activated if "Setting confirmations and validations of registration > Confirmation of registration - Validation by user" is not enabled at first.<br><br>
-To ensure consistency, the option "Automatically sending an email when changing group / status" was automatically repositioned "disabled".<br><br>';
+$lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Consistency error in the configuration chosen:
+<br><br>
+"Setting the followed registrations and other options > Ghost visitors management (Ghost Tracker) > Automatic management of ghosts users > Automatically sending an email when changing group / status" can not be activated if "Setting confirmations and validations of registration > Confirmation of registration - Validation by user" is not enabled at first.
+<br><br>
+To ensure consistency, the option "Automatically sending an email when changing group / status" was automatically repositioned "disabled".
+<br><br>';
 $lang['UAM_Demotion of %s'] = 'Demotion of %s';
 $lang['UAM_AdminValidationMail_Text'] = 'Notification of manual registration validation';
@@ -288,6 +266,9 @@
 // --------- Starting below: New or revised $lang ---- from version 2.20.0
 $lang['UAM_CustomPasswRetr'] = 'Customize lost password email content';
-$lang['UAM_CustomPasswRetr_false'] = ' Disable (default)';
-$lang['UAM_CustomPasswRetr_true'] = ' Enable';
+$lang['UAM_USRAuto'] = 'Automatic management of unvalidated users';
+$lang['UAM_USRAutoDel'] = 'Custom message on deleted account';
+$lang['UAM_USRAutoMail'] = 'Automated email reminder';
+$lang['UAM_Disable'] = ' Disable (default)';
+$lang['UAM_Enable'] = ' Enable ';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/es_ES/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/es_ES/help/plugin.lang.php	(revision 9265)
+++ /extensions/NBC_UserAdvManager/trunk/language/es_ES/help/plugin.lang.php	(revision 9266)
@@ -40,10 +40,5 @@
 Los estatutos son validados para su uso en relaci&oacute;n con la &quot;confirmaci&oacute;n de registro&quot;';
 $lang['UAM_validationlimitTitle'] = 'Plazo para la validación de registro limitado';
-$lang['UAM_validationlimitTitle_d'] = 'Esta opción permite limitar la validez de la validación de claves de correo electrónico enviado a los solicitantes de registro nuevo. Los visitantes que se registren tendrán x días de tiempo para validar su inscripción. Después de este período el enlace de validación expira.<br><br>
-Esta opci&oacute;n se utiliza en conjunci&oacute;n con la &quot;confirmaci&oacute;n de registro&quot;';
 $lang['UAM_remailTitle'] = 'Recordarle a los usuarios no validados';
-$lang['UAM_remailTitle_d'] = 'Esta opci&oacute;n le permite enviar un recordatorio por correo electr&oacute;nico a los usuarios registrados, que no han validado su inscripci&oacute;n a tiempo. Por lo tanto, trabaja en conjunto con la &quot;confirmaci&oacute;n de registro&quot;<br><br>
-2 tipos de mensajes de correo electrónico se pueden enviar: Con o sin regeneración de la clave de validación. Según proceda, el contenido de los mensajes de correo electrónico se pueden personalizar.<br><br>
-Consulte la ficha &quot;Seguimiento de las Validaciones&quot;.';
 $lang['UAM_remailtxt1Title'] = 'Recordatorio por correo electrónico con la llave generada';
 $lang['UAM_remailtxt2Title'] = 'Recordatorio por correo electrónico sin la llave generada';
@@ -237,4 +232,30 @@
 <br><br>
 To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
+/*TODO*/$lang['UAM_validationlimitTitle_d'] = 'Esta opción permite limitar la validez de la validación de claves de correo electrónico enviado a los solicitantes de registro nuevo. Los visitantes que se registren tendrán x días de tiempo para validar su inscripción. Después de este período el enlace de validación expira.
+<br><br>
+Esta opci&oacute;n se utiliza en conjunci&oacute;n con la &quot;confirmaci&oacute;n de registro&quot;
+<br><br>
+If this option and the option &quot;Recordarle a los usuarios no validados&quot; are activated, new options will appear below in this section to enable the automation of unvalidated users management.';
+/*TODO*/$lang['UAM_remailTitle_d'] = 'Esta opci&oacute;n le permite enviar un recordatorio por correo electr&oacute;nico a los usuarios registrados, que no han validado su inscripci&oacute;n a tiempo. Por lo tanto, trabaja en conjunto con la &quot;confirmaci&oacute;n de registro&quot;
+<br><br>
+2 tipos de mensajes de correo electrónico se pueden enviar: Con o sin regeneración de la clave de validación. Según proceda, el contenido de los mensajes de correo electrónico se pueden personalizar.
+<br><br>
+Consulte la ficha &quot;Seguimiento de las Validaciones&quot;.
+<br><br>
+If this option and the option &quot;Plazo para la validación de registro limitado&quot; are activated, new options will appear below in this section to enable the automation of unvalidated users management.';
+/*TODO*/$lang['UAM_USRAutoTitle'] = 'Automatic management of unvalidated users';
+/*TODO*/$lang['UAM_USRAutoTitle_d'] = 'Automatic handling of unvalidated visitors is triggered each time you connect to the gallery and works as follows:
+<br><br>
+- Automatic deletion of accounts not validated in the allotted time without sending automatic email reminder -> &quot;Deadline for registration validation limited&quot; <b><u>enabled</u></b> and &quot;Remind unvalidated users&quot; <b><u>disabled</u></b>.
+<br><br>
+- Automatically sending a reminder message with a new generation of validation key and automatic deletion of accounts not validated in the time after sending the reminder -> &quot;Deadline for registration validation limited&quot; <b><u>enabled</u></b> et &quot;Remind unvalidated users&quot; <b><u>enabled</u></b>.';
+/*TODO*/$lang['UAM_USRAutoDelTitle'] = 'Custom message on deleted account';
+/*TODO*/$lang['UAM_USRAutoDelTitle_d'] = 'This is only valid when the user whose account has expired itself triggers the deletion mechanism (rare but possible). he\'s then disconnected of the gallery and redirected to a page showing the deletion of his account and, possibly, the reasons for this deletion.
+<br><br>
+Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery. Use <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options. <b style=&quot;color: red;&quot;>[username]</b> is not available here because concerned user has been deleted.
+<br><br>
+Custom text for the redirect page can be entered in this field that is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.';
+/*TODO*/$lang['UAM_USRAutoMailTitle'] = 'Automated email reminder';
+/*TODO*/$lang['UAM_USRAutoMailTitle_d'] = 'When activated, this function will automatically send personalized content in &quot;Reminder email with new key generated&quot; to visitors who match criteria.';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 9265)
+++ /extensions/NBC_UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 9266)
@@ -112,6 +112,4 @@
 $lang['UAM_Title4'] = 'Consejos y ejemplos de uso';
 $lang['UAM_No_Casse'] = 'Nombres de usuarios: mayúsculas y minúsculas';
-$lang['UAM_No_Casse_true'] = ' Activar';
-$lang['UAM_No_Casse_false'] = ' Desactivar (por defecto)';
 $lang['UAM_Username_Char'] = 'Nombres de usuarios: Excluyendo los caracteres';
 $lang['UAM_Username_Char_true'] = ' Prohibición de caracteres:<br>(Utilice una coma para separar cada caracteres)<br><br>';
@@ -119,20 +117,13 @@
 $lang['UAM_Password_Enforced'] = 'Fortalecimiento del nivel de seguridad de las contraseñas';
 $lang['UAM_Password_Enforced_true'] = ' Activar. Puntuación mínima:';
-$lang['UAM_Password_Enforced_false'] = ' Desactivar (por defecto)';
 $lang['UAM_AdminPassword_Enforced'] = 'Aplicar a los administradores';
-$lang['UAM_AdminPassword_Enforced_true'] = ' Activar';
-$lang['UAM_AdminPassword_Enforced_false'] = ' Desactivar (por defecto)';
 $lang['UAM_PasswordTest'] = 'Test de Contraseña: ';
 $lang['UAM_ScoreTest'] = 'Resultado: ';
 $lang['UAM_MailExclusion'] = 'Exclusión de dominios de correo electrónico';
 $lang['UAM_MailExclusion_true'] = ' Excluir los siguientes dominios: <br>(Utilice una coma para separar cada dominio)';
-$lang['UAM_MailExclusion_false'] = ' Desactivar (por defecto)';
 
 $lang['UAM_Mail_Info'] = 'Información por correo electrónico para el usuario:';
-$lang['UAM_Mail_Info_true'] = ' Activar';
-$lang['UAM_Mail_Info_false'] = ' Desactivar (por defecto)';
 $lang['UAM_MailInfo_Text'] = ' Personalización del correo electrónico de información:';
 $lang['UAM_Confirm_Mail'] = 'Confirmación de registro:';
-$lang['UAM_Confirm_Mail_false'] = ' Desactivar (por defecto)';
 $lang['UAM_ConfirmMail_Text'] = ' Personalización del correo electrónico de confirmación:';
 $lang['UAM_Confirm_grpstat_notice'] = 'Precaución: Es recomendable utilizar el grupo o los estatutos de validación y no ambos simultáneamente.';
@@ -145,8 +136,6 @@
 $lang['UAM_ValidationLimit_Info'] = 'Plazo para la validación de registro limitado';
 $lang['UAM_ConfirmMail_TimeOut_true'] = ' Activar. Número de días hasta el vencimiento: ';
-$lang['UAM_ConfirmMail_TimeOut_false'] = ' Desactivar (por defecto)';
 $lang['UAM_ConfirmMail_Remail'] = 'Recuerde a los usuarios no validados';
 $lang['UAM_ConfirmMail_Remail_true'] = ' Activar';
-$lang['UAM_ConfirmMail_Remail_false'] = ' Desactivar (por defecto)';
 $lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Personalización del mensaje recordatorio <b><u>con</u></b> la regeneración de validación de claves.';
 $lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Personalización del mensaje recordatorio <b><u>sin</u></b> la regeneración de la validación de claves.';
@@ -154,12 +143,7 @@
 $lang['UAM_GhostTracker'] = 'Gestión de Espíritu visitantes (Tracker Ghost)';
 $lang['UAM_GhostTracker_true'] = ' Activar. Período máximo de días entre dos visitas: ';
-$lang['UAM_GhostTracker_false'] = ' Desactivar (por defecto)';
 $lang['UAM_GhostTracker_ReminderText'] = 'Personalización del mensaje recordatorio de Ghost Tracker';
 $lang['UAM_LastVisit'] = ' Seguimiento de usuarios registrados';
-$lang['UAM_LastVisit_true'] = ' Activar';
-$lang['UAM_LastVisit_false'] = ' Desactivar (por defecto)';
 $lang['UAM_No_Comment_Anonymous'] = 'Nickname obligatorio para los comentarios de los huéspedes';
-$lang['UAM_No_Comment_Anonymous_true'] = ' Activar';
-$lang['UAM_No_Comment_Anonymous_false'] = ' Desactivar (por defecto)';
 
 $lang['UAM_Tips1'] = 'Con la validación de los registros de correo electrónico y mensaje de advertencia en la página principal de Piwigo';
@@ -195,6 +179,4 @@
 // --------- Starting below: New or revised $lang ---- from version 2.14.0
 $lang['UAM_AdminConfMail'] = 'Confirmación de registro por los administradores';
-$lang['UAM_Admin_ConfMail_true'] = ' Activar';
-$lang['UAM_Admin_ConfMail_false'] = ' Desactivar (por defecto)';
 $lang['UAM_Tips1_txt'] = '
           <ul>
@@ -261,6 +243,4 @@
 $lang['UAM_Confirm_Mail_local'] = ' Activar - La validación por el administrador (sin clave de validación enviado)';
 $lang['UAM_RedirToProfile'] = 'Redirigir a la página de "personalización"';
-$lang['UAM_RedirToProfile_false'] = ' Desactivar (por defecto)';
-$lang['UAM_RedirToProfile_true'] = ' Activar';
 // --------- End: New or revised $lang ---- from version 2.15.4
 
@@ -270,11 +250,7 @@
 $lang['UAM_Expired_Status'] = '<b>Estado </b> para el registro de usuario ha caducado<br>';
 $lang['UAM_GTAuto'] = 'Gestión automática de los Espíritus usuarios';
-$lang['UAM_GTAuto_false'] = ' Desactivar (por defecto)';
-$lang['UAM_GTAuto_true'] = ' Activar';
 $lang['UAM_GTAutoDel'] = 'Borrado automático de las cuentas';
 $lang['UAM_GTAutoGp'] = 'Cambio automático de grupo / estado';
 $lang['UAM_GTAutoMail'] = 'Automáticamente el envío de un correo electrónico cuando se cambia de grupo / estado';
-$lang['UAM_GTAutoMail_false'] = ' Desactivar (por defecto)';
-$lang['UAM_GTAutoMail_true'] = ' Activar';
 $lang['UAM_Deleted_Account_Redirection_Page'] = 'Acceso denegado - Cuenta destruido!';
 $lang['UAM_title_redir_page'] = 'Acceso denegado por haber destruido una cuenta!';
@@ -290,6 +266,9 @@
 // --------- Starting below: New or revised $lang ---- from version 2.20.0
 /*TODO*/$lang['UAM_CustomPasswRetr'] = 'Customize lost password email content';
-$lang['UAM_CustomPasswRetr_false'] = ' Desactivar (por defecto)';
-$lang['UAM_CustomPasswRetr_true'] = ' Activar';
+/*TODO*/$lang['UAM_USRAuto'] = 'Automatic management of unvalidated users';
+/*TODO*/$lang['UAM_USRAutoDel'] = 'Custom message on deleted account';
+/*TODO*/$lang['UAM_USRAutoMail'] = 'Automated email reminder';
+$lang['UAM_Disable'] = ' Desactivar (por defecto)';
+$lang['UAM_Enable'] = ' Activar ';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php	(revision 9265)
+++ /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php	(revision 9266)
@@ -39,7 +39,4 @@
 Les statuts de validation sont à utiliser conjointement avec l\'option &quot;Confirmation d\'inscription&quot;';
 $lang['UAM_validationlimitTitle'] = 'Limitation du délai de validation d\'inscription';
-$lang['UAM_validationlimitTitle_d'] = 'Cette option permet de limiter le nombre de jours pendant lequel un nouvel utilisateur peut valider son inscription. Une fois ce délai expiré, le lien de validation sera invalide, et ne pourra plus être employé.
-<br><br>
-Cette option n\'est utilisable qu\'une fois l\'option &quot;Confirmation d\'inscription&quot; activée';
 $lang['UAM_remailTitle'] = 'Mail de rappel aux inscrits non validés';
 $lang['UAM_remailtxt1Title'] = 'Message de rappel avec regénération de clé';
@@ -214,5 +211,5 @@
 $lang['UAM_GTAutoDelTitle_d'] = 'Ceci n\'est valable que lorsque l\'utilisateur dont le compte a expiré déclenche lui même le mécanisme de suppression (cas rare mais possible). Il est alors déconnecté de force de la galerie et redirigé vers une page indiquant la suppression de son compte et, éventuellement, les raisons de cette suppression.
 <br><br>
-Personnalisez encore plus le contenu avec les balises d\'insertion spéciales : Utilisez la balise <b style=&quot;color: red;&quot;>[mygallery]</b> pour insérer le titre de votre galerie. Utilisez la balise <b style=&quot;color: red;&quot;>[myurl]</b> pour insérer l\'URL de votre galerie si renseigné dans les options de configuration de Piwigo. La balise <b style=&quot;color: red;&quot;>[username]</b> n\'est pas disponible ici puisque l\'utilisateur en question a été supprimé (CQFD !).
+Personnalisez encore plus le contenu avec les balises d\'insertion spéciales : Utilisez la balise <b style=&quot;color: red;&quot;>[mygallery]</b> pour insérer le titre de votre galerie. Utilisez la balise <b style=&quot;color: red;&quot;>[myurl]</b> pour insérer l\'URL de votre galerie si renseigné dans les options de configuration de Piwigo. La balise <b style=&quot;color: red;&quot;>[username]</b> n\'est pas disponible ici puisque l\'utilisateur en question a été supprimé.
 <br><br>
 Un texte personnalisé pour cette page de redirection peut être saisi dans le champ ci-dessous qui est compatible avec l\'extension FCK Editor. Pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.';
@@ -240,9 +237,11 @@
 <br><br>
 Si cette option et l\'option &quot;Mail de rappel aux inscrits non validés&quot; sont activées, de nouvelles options apparaitront plus bas dans cette section pour permettre l\'automatisation de la gestion des visiteurs non validés.';
-$lang['UAM_remailTitle_d'] = 'Cette option permet d\'envoyer un email de rappel aux utilisateurs n\'ayant pas validé leur inscription dans les temps. Elle n\'a d\'effet qu\'une fois l\'option &quot;Confirmation d\'inscription&quot; activée.<br><br>
-2 types d\'email peuvent être envoyés : Avec ou sans régénération de la clef de validation. En fonction du cas, le contenu  des emails peut être personnalisé.<br><br>
+$lang['UAM_remailTitle_d'] = 'Cette option permet d\'envoyer un email de rappel aux utilisateurs n\'ayant pas validé leur inscription dans les temps. Elle n\'a d\'effet qu\'une fois l\'option &quot;Confirmation d\'inscription&quot; activée.
+<br><br>
+2 types d\'email peuvent être envoyés : Avec ou sans régénération de la clef de validation. En fonction du cas, le contenu  des emails peut être personnalisé.
+<br><br>
 Reportez-vous à l\'onglet &quot;Suivi des validations&quot;.
 <br><br>
-Si cette option et l\'option &quot;Mail de rappel aux inscrits non validés&quot; sont activées, de nouvelles options apparaitront plus bas dans cette section pour permettre l\'automatisation de la gestion des visiteurs non validés.';
+Si cette option et l\'option &quot;Limitation du délai de validation d\'inscription&quot; sont activées, de nouvelles options apparaitront plus bas dans cette section pour permettre l\'automatisation de la gestion des visiteurs non validés.';
 $lang['UAM_USRAutoTitle'] = 'Gestion automatique des visiteurs non validés';
 $lang['UAM_USRAutoTitle_d'] = 'La gestion automatique des visiteurs non validés est déclenchée à chaque connexion à la galerie et fonctionne ainsi :
@@ -256,5 +255,5 @@
 Un texte pour cette page de redirection est donné à titre d\'exemple, ci-dessous, et peut être personnalisé. Ce champ est compatible avec le plugin FCK Editor. Pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.
 <br><br>
-Personnalisez encore plus le contenu avec les balises d\'insertion spéciales : Utilisez la balise <b style=&quot;color: red;&quot;>[username]</b> pour insérer automatiquement le nom de l\'utilisateur destinataire de l\'email. Utilisez la balise <b style=&quot;color: red;&quot;>[mygallery]</b> pour insérer le titre de votre galerie. Utilisez la balise <b style=&quot;color: red;&quot;>[myurl]</b> pour insérer l\'URL de votre galerie si renseigné dans les options de configuration de Piwigo.';
+Personnalisez encore plus le contenu avec les balises d\'insertion spéciales : Utilisez la balise <b style=&quot;color: red;&quot;>[mygallery]</b> pour insérer le titre de votre galerie. Utilisez la balise <b style=&quot;color: red;&quot;>[myurl]</b> pour insérer l\'URL de votre galerie si renseigné dans les options de configuration de Piwigo. La balise <b style=&quot;color: red;&quot;>[username]</b> n\'est pas disponible ici puisque l\'utilisateur en question a été supprimé.';
 $lang['UAM_USRAutoMailTitle'] = 'Message de rappel automatique';
 $lang['UAM_USRAutoMailTitle_d'] = 'Lorsque activée, cette fonction enverra automatiquement le contenu personnalisé dans &quot;Message de rappel avec regénération de clé&quot; aux visiteurs répondant au critère.';
Index: /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 9265)
+++ /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 9266)
@@ -112,6 +112,4 @@
 $lang['UAM_Title4'] = 'Astuces et exemples d\'utilisation';
 $lang['UAM_No_Casse'] = 'Noms d\'utilisateurs : Sensibilité à la casse';
-$lang['UAM_No_Casse_true'] = ' Activer';
-$lang['UAM_No_Casse_false'] = ' Désactiver (valeur par défaut)';
 $lang['UAM_Username_Char'] = 'Noms d\'utilisateurs : Exclusion de certains caractères';
 $lang['UAM_Username_Char_true'] = ' Interdire les caractères:<br>(utiliser une virgule pour séparer chaque caractère du suivant)<br><br>';
@@ -119,20 +117,13 @@
 $lang['UAM_Password_Enforced'] = 'Renforcement de la sécurité des mots de passe';
 $lang['UAM_Password_Enforced_true'] = ' Activer. Score minimum: ';
-$lang['UAM_Password_Enforced_false'] = ' Désactiver (valeur par défaut)';
 $lang['UAM_AdminPassword_Enforced'] = 'Application aux administrateurs';
-$lang['UAM_AdminPassword_Enforced_true'] = ' Activer';
-$lang['UAM_AdminPassword_Enforced_false'] = ' Désactiver (valeur par défaut)';
 $lang['UAM_PasswordTest'] = 'Mot de passe test: ';
 $lang['UAM_ScoreTest'] = 'Résultat: ';
 $lang['UAM_MailExclusion'] = 'Exclusion des domaines de messagerie';
 $lang['UAM_MailExclusion_true'] = ' Exclure les domaines suivants:<br>(utiliser une virgule pour séparer chaque domaine du suivant)';
-$lang['UAM_MailExclusion_false'] = ' Désactiver (valeur par défaut)';
 
 $lang['UAM_Mail_Info'] = 'Email d\'information à l\'utilisateur:';
-$lang['UAM_Mail_Info_true'] = ' Activer';
-$lang['UAM_Mail_Info_false'] = ' Désactiver (valeur par défaut)';
 $lang['UAM_MailInfo_Text'] = ' Texte d\'accueil personnalisé:';
 $lang['UAM_Confirm_Mail'] = 'Confirmation d\'inscription:';
-$lang['UAM_Confirm_Mail_false'] = ' Désactiver (valeur par défaut)';
 $lang['UAM_ConfirmMail_Text'] = ' Texte d\'accueil personnalisé:';
 $lang['UAM_Confirm_Group'] = 'Groupes de validation<br>(------- pour ne pas affecter de groupe)';
@@ -145,8 +136,5 @@
 $lang['UAM_ValidationLimit_Info'] = 'Limitation du délai de validation d\'inscription';
 $lang['UAM_ConfirmMail_TimeOut_true'] = ' Activer. Nombre de jours de délai: ';
-$lang['UAM_ConfirmMail_TimeOut_false'] = ' Désactiver (valeur par défaut)';
 $lang['UAM_ConfirmMail_Remail'] = 'Mail de rappel aux inscrits non validés';
-$lang['UAM_ConfirmMail_Remail_true'] = ' Activer';
-$lang['UAM_ConfirmMail_Remail_false'] = ' Désactiver (valeur par défaut)';
 $lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Texte du message de rappel <b><u>avec</u></b> génération d\'une nouvelle clé de validation.';
 $lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Texte du message de rappel <b><u>sans</u></b> génération d\'une nouvelle clé de validation.';
@@ -154,12 +142,7 @@
 $lang['UAM_GhostTracker'] = 'Gestion des visiteurs fantômes (Ghost Tracker)';
 $lang['UAM_GhostTracker_true'] = ' Activer. Nombre de jours maximum entre deux visites: ';
-$lang['UAM_GhostTracker_false'] = ' Désactiver (valeur par défaut)';
 $lang['UAM_GhostTracker_ReminderText'] = 'Texte de rappel personnalisé';
 $lang['UAM_LastVisit'] = ' Suivi des utilisateurs inscrits';
-$lang['UAM_LastVisit_true'] = ' Activer';
-$lang['UAM_LastVisit_false'] = ' Désactiver (valeur par défaut)';
 $lang['UAM_No_Comment_Anonymous'] = 'Commentaires : pseudo obligatoire pour les non-inscrits';
-$lang['UAM_No_Comment_Anonymous_true'] = ' Activer';
-$lang['UAM_No_Comment_Anonymous_false'] = ' Désactiver (valeur par défaut)';
 
 $lang['UAM_Tips1'] = 'Inscriptions avec validation par email et message d\'avertissement sur la page d\'accueil de Piwigo';
@@ -192,6 +175,4 @@
 // --------- Starting below: New or revised $lang ---- from version 2.14.0
 $lang['UAM_AdminConfMail'] = 'Validation d\'inscription pour les admins';
-$lang['UAM_Admin_ConfMail_true'] = ' Activer';
-$lang['UAM_Admin_ConfMail_false'] = ' Désactiver (valeur par défaut)';
 $lang['UAM_Tips1_txt'] = '
           <ul>
@@ -258,6 +239,4 @@
 $lang['UAM_Confirm_Mail_local'] = ' Activer - Validation par l\'administrateur (pas d\'envoi de clé de validation)';
 $lang['UAM_RedirToProfile'] = 'Redirection vers la page "Personnalisation"';
-$lang['UAM_RedirToProfile_false'] = ' Désactiver (valeur par défaut)';
-$lang['UAM_RedirToProfile_true'] = ' Activer';
 // --------- End: New or revised $lang ---- from version 2.15.4
 
@@ -267,16 +246,15 @@
 $lang['UAM_Expired_Status'] = '<b>Statut</b> pour les utilisateurs dont l\'inscription aura expirée<br>';
 $lang['UAM_GTAuto'] = 'Gestion automatique des utilisateurs fantomes';
-$lang['UAM_GTAuto_false'] = ' Désactiver (valeur par défaut)';
-$lang['UAM_GTAuto_true'] = ' Activer';
 $lang['UAM_GTAutoDel'] = 'Suppressions automatiques des comptes';
 $lang['UAM_GTAutoGp'] = 'Changement automatique de groupe / statut';
 $lang['UAM_GTAutoMail'] = 'Email automatique sur changement de groupe / statut';
-$lang['UAM_GTAutoMail_false'] = ' Désactiver (valeur par défaut)';
-$lang['UAM_GTAutoMail_true'] = ' Activer';
 $lang['UAM_Deleted_Account_Redirection_Page'] = 'Accès refusé - Compte détruit !';
 $lang['UAM_title_redir_page'] = 'Accès refusé pour cause de compte détruit !';
-$lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Erreur de cohérence dans la configuration choisie :<br><br>
-"Paramétrage des suivis des inscrits et autres options > Gestion des visiteurs fantômes (Ghost Tracker) > Gestion automatique des utilisateurs fantomes > Email automatique sur changement de groupe / statut" ne peut pas être activé si "Paramétrage des confirmations et validations d\'inscriptions > Confirmation d\'inscription - Validation par le visiteur" n\'est pas activé au préalable.<br><br>
-Pour garantir la cohérence, l\'option "Email automatique sur changement de groupe / statut" a été automatiquement repositionnée en "désactivé".<br><br>';
+$lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Erreur de cohérence dans la configuration choisie :
+<br><br>
+"Paramétrage des suivis des inscrits et autres options > Gestion des visiteurs fantômes (Ghost Tracker) > Gestion automatique des utilisateurs fantomes > Email automatique sur changement de groupe / statut" ne peut pas être activé si "Paramétrage des confirmations et validations d\'inscriptions > Confirmation d\'inscription - Validation par le visiteur" n\'est pas activé au préalable.
+<br><br>
+Pour garantir la cohérence, l\'option "Email automatique sur changement de groupe / statut" a été automatiquement repositionnée en "désactivé".
+<br><br>';
 $lang['UAM_Demotion of %s'] = 'Rétrogradation de %s';
 $lang['UAM_AdminValidationMail_Text'] = 'Notification de validation d\'inscription manuelle';
@@ -287,13 +265,9 @@
 // --------- Starting below: New or revised $lang ---- from version 2.20.0
 $lang['UAM_CustomPasswRetr'] = 'Personnaliser le contenu du mail sur mot de passe perdu';
-$lang['UAM_CustomPasswRetr_false'] = ' Désactiver (valeur par défaut)';
-$lang['UAM_CustomPasswRetr_true'] = ' Activer';
 $lang['UAM_USRAuto'] = 'Gestion automatique des visiteurs non validés';
-$lang['UAM_USRAuto_false'] = ' Désactiver (valeur par défaut)';
-$lang['UAM_USRAuto_true'] = ' Activer';
 $lang['UAM_USRAutoDel'] = 'Message à la suppressions automatiques des comptes';
 $lang['UAM_USRAutoMail'] = 'Message de rappel automatique';
-$lang['UAM_USRAutoMail_false'] = ' Désactiver (valeur par défaut)';
-$lang['UAM_USRAutoMail_true'] = ' Activer';
+$lang['UAM_Disable'] = ' Désactiver (valeur par défaut)';
+$lang['UAM_Enable'] = ' Activer ';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php	(revision 9265)
+++ /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php	(revision 9266)
@@ -40,10 +40,5 @@
 The groups are validated for use in conjunction with the &quot;Confirmation of registration&quot;';
 /* TODO */$lang['UAM_validationlimitTitle'] = 'Deadline for registration validation limited';
-/* TODO */$lang['UAM_validationlimitTitle_d'] = 'This option allows to limit the validity of key validation email sent to new registrants. Visitors who register will have x days of time to validate their registration. After this period the validation link will expire.<br><br>
-This option is used in conjunction with the &quot;Confirmation of registration&quot;';
 /* TODO */$lang['UAM_remailTitle'] = 'Remind unvalidated users';
-/* TODO */$lang['UAM_remailTitle_d'] = 'This option allows you to send a reminder email to users registered but have not validated their registration on time. It therefore works in conjunction with the &quot;Confirmation of registration&quot;<br><br>
-2 types of emails can be sent: With or without regeneration of the validation key. As appropriate, the content of emails can be customized.<br><br>
-Refer to the &quot;Tracking validations&quot; tab.';
 /* TODO */$lang['UAM_remailtxt1Title'] = 'Reminder email with new key generated';
 /* TODO */$lang['UAM_remailtxt2Title'] = 'Reminder email without new key generated';
@@ -228,4 +223,30 @@
 <br><br>
 To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
+/* TODO */$lang['UAM_validationlimitTitle_d'] = 'This option allows to limit the validity of key validation email sent to new registrants. Visitors who register will have x days of time to validate their registration. After this period the validation link will expire.
+<br><br>
+This option is used in conjunction with the &quot;Confirmation of registration&quot;
+<br><br>
+If this option and the option &quot;Remind unvalidated users&quot; are activated, new options will appear below in this section to enable the automation of unvalidated users management.';
+/* TODO */$lang['UAM_remailTitle_d'] = 'This option allows you to send a reminder email to users registered but have not validated their registration on time. It therefore works in conjunction with the &quot;Confirmation of registration&quot;
+<br><br>
+2 types of emails can be sent: With or without regeneration of the validation key. As appropriate, the content of emails can be customized.
+<br><br>
+Refer to the &quot;Tracking validations&quot; tab.
+<br><br>
+If this option and the option &quot;Deadline for registration validation limited&quot; are activated, new options will appear below in this section to enable the automation of unvalidated users management.';
+/*TODO*/$lang['UAM_USRAutoTitle'] = 'Automatic management of unvalidated users';
+/*TODO*/$lang['UAM_USRAutoTitle_d'] = 'Automatic handling of unvalidated visitors is triggered each time you connect to the gallery and works as follows:
+<br><br>
+- Automatic deletion of accounts not validated in the allotted time without sending automatic email reminder -> &quot;Deadline for registration validation limited&quot; <b><u>enabled</u></b> and &quot;Remind unvalidated users&quot; <b><u>disabled</u></b>.
+<br><br>
+- Automatically sending a reminder message with a new generation of validation key and automatic deletion of accounts not validated in the time after sending the reminder -> &quot;Deadline for registration validation limited&quot; <b><u>enabled</u></b> et &quot;Remind unvalidated users&quot; <b><u>enabled</u></b>.';
+/*TODO*/$lang['UAM_USRAutoDelTitle'] = 'Custom message on deleted account';
+/*TODO*/$lang['UAM_USRAutoDelTitle_d'] = 'This is only valid when the user whose account has expired itself triggers the deletion mechanism (rare but possible). he\'s then disconnected of the gallery and redirected to a page showing the deletion of his account and, possibly, the reasons for this deletion.
+<br><br>
+Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery. Use <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options. <b style=&quot;color: red;&quot;>[username]</b> is not available here because concerned user has been deleted.
+<br><br>
+Custom text for the redirect page can be entered in this field that is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.';
+/*TODO*/$lang['UAM_USRAutoMailTitle'] = 'Automated email reminder';
+/*TODO*/$lang['UAM_USRAutoMailTitle_d'] = 'When activated, this function will automatically send personalized content in &quot;Reminder email with new key generated&quot; to visitors who match criteria.';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 9265)
+++ /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 9266)
@@ -113,5 +113,4 @@
 $lang['UAM_No_Casse'] = 'Nome utente: Sensibile alle maiusc/minusc';
 $lang['UAM_No_Casse_true'] = ' Attivare';
-$lang['UAM_No_Casse_false'] = ' Disattivare (di default)';
 $lang['UAM_Username_Char'] = 'Nome utente: Esclusione di certi caratteri';
 $lang['UAM_Username_Char_true'] = ' Vietare i caratteri:<br>(Usare una virgola per separare ogni carattere)<br><br>';
@@ -119,20 +118,13 @@
 $lang['UAM_Password_Enforced'] = 'Rafforzare il livello di sicurezza delle password';
 $lang['UAM_Password_Enforced_true'] = ' Attivare. Punteggio minimo: ';
-$lang['UAM_Password_Enforced_false'] = ' Disattivare (di default)';
 $lang['UAM_AdminPassword_Enforced'] = 'Applicare agli amministratori';
-$lang['UAM_AdminPassword_Enforced_true'] = ' Attivare';
-$lang['UAM_AdminPassword_Enforced_false'] = ' Disattivare (di default)';
 $lang['UAM_PasswordTest'] = 'Password di prova: ';
 $lang['UAM_ScoreTest'] = 'Risultato: ';
 $lang['UAM_MailExclusion'] = 'Esclusione dei domini d\'Email';
 $lang['UAM_MailExclusion_true'] = ' Escludi i seguenti domini:<br>(Utilizzare una virgola per separare ogni dominio)';
-$lang['UAM_MailExclusion_false'] = ' Disattivare (di default)';
 
 $lang['UAM_Mail_Info'] = 'Email d\'informazione per l\'utente:';
-$lang['UAM_Mail_Info_true'] = ' Attivare';
-$lang['UAM_Mail_Info_false'] = ' Disattivare (di default)';
 $lang['UAM_MailInfo_Text'] = ' Personalizzare il testo dell\'Email:';
 $lang['UAM_Confirm_Mail'] = 'Conferma dell\'iscrizione:';
-$lang['UAM_Confirm_Mail_false'] = ' Disattivare (di default)';
 $lang['UAM_ConfirmMail_Text'] = ' Personalizzare il testo dell\'Email di conferma:';
 $lang['UAM_Confirm_Group'] = 'Gruppi di convalida<br>(------- per non assegnare nessun gruppo)';
@@ -145,8 +137,5 @@
 $lang['UAM_ValidationLimit_Info'] = 'Termine per la validazione dell\'iscrizione limitato';
 $lang['UAM_ConfirmMail_TimeOut_true'] = ' Attivare. Numero di giorni per la scadenza: ';
-$lang['UAM_ConfirmMail_TimeOut_false'] = ' Disattivare (di default)';
 $lang['UAM_ConfirmMail_Remail'] = 'Email di rilancio ai visitatori non convalidati';
-$lang['UAM_ConfirmMail_Remail_true'] = ' Attivare';
-$lang['UAM_ConfirmMail_Remail_false'] = ' Disattivare (di default)';
 $lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Personalizzare l\'Email di rilancio <b><u>con</u></b> rigenerazione di una nuova chiave di convalida.';
 $lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Personalizzare l\'Email di rilancio <b><u>senza</u></b> rigenerazione di una nuova chiave di convalida.';
@@ -154,12 +143,7 @@
 $lang['UAM_GhostTracker'] = 'Gestione degli ospiti fantasmi (GhostTracker)';
 $lang['UAM_GhostTracker_true'] = ' Attivare. Durata massima di giorni tra due visite: ';
-$lang['UAM_GhostTracker_false'] = ' Disattivare (di default)';
 $lang['UAM_GhostTracker_ReminderText'] = 'Testo di rilancio personalizzato';
 $lang['UAM_LastVisit'] = ' Tracciamento utenti registrati';
-$lang['UAM_LastVisit_true'] = ' Attivare';
-$lang['UAM_LastVisit_false'] = ' Disattivare (di default)';
 $lang['UAM_No_Comment_Anonymous'] = 'Commenti : Pseudo obbligatorio per gli ospiti';
-$lang['UAM_No_Comment_Anonymous_true'] = ' Attivare';
-$lang['UAM_No_Comment_Anonymous_false'] = ' Disattivare (di default)';
 
 $lang['UAM_Tips1'] = 'Iscrizzione con convalida dell\'Email e messaggio di avviso nella homepage di Piwigo';
@@ -192,6 +176,4 @@
 // --------- Starting below: New or revised $lang ---- from version 2.14.0
 $lang['UAM_AdminConfMail'] = 'Conferma dell\'iscrizione per gli amministratori';
-$lang['UAM_Admin_ConfMail_true'] = ' Attivare';
-$lang['UAM_Admin_ConfMail_false'] = ' Disattivare (di default)';
 $lang['UAM_Tips1_txt'] = '
           <ul>
@@ -258,6 +240,4 @@
 $lang['UAM_Confirm_Mail_local'] = ' Attivare - Validazione dal amministratore (nessuna chiave di validazione inviata)';
 $lang['UAM_RedirToProfile'] = 'Ridirezione verso la pagina di personalizzazione';
-$lang['UAM_RedirToProfile_false'] = ' Disattivare (di default)';
-$lang['UAM_RedirToProfile_true'] = ' Attivare';
 // --------- End: New or revised $lang ---- from version 2.15.4
 
@@ -267,11 +247,7 @@
 $lang['UAM_Expired_Status'] = '<b>Statuto</b> per gli utenti la cui registrazione sara scaduta<br>';
 $lang['UAM_GTAuto'] = 'Gestione automatica degli utenti fantasmi';
-$lang['UAM_GTAuto_false'] = ' Disattivare (di default)';
-$lang['UAM_GTAuto_true'] = ' Attivare';
 $lang['UAM_GTAutoDel'] = 'Cancellazione automatica dei conti';
 $lang['UAM_GTAutoGp'] = 'Cambiamento automatico del gruppo / statuto';
 $lang['UAM_GTAutoMail'] = 'Emailing di rilancio automatico';
-$lang['UAM_GTAutoMail_false'] = ' Disattivare (di default)';
-$lang['UAM_GTAutoMail_true'] = ' Attivare';
 $lang['UAM_Deleted_Account_Redirection_Page'] = 'Accesso negato - Account cancellato!';
 $lang['UAM_title_redir_page'] = 'Accesso negato per causa di account cancellato !';
@@ -287,6 +263,9 @@
 // --------- Starting below: New or revised $lang ---- from version 2.20.0
 /*TODO*/$lang['UAM_CustomPasswRetr'] = 'Customize lost password email content';
-$lang['UAM_CustomPasswRetr_false'] = ' Disattivare (di default)';
-$lang['UAM_CustomPasswRetr_true'] = ' Attivare';
+/*TODO*/$lang['UAM_USRAuto'] = 'Automatic management of unvalidated users';
+/*TODO*/$lang['UAM_USRAutoDel'] = 'Custom message on deleted account';
+/*TODO*/$lang['UAM_USRAutoMail'] = 'Automated email reminder';
+$lang['UAM_Disable'] = ' Disattivare (di default)';
+$lang['UAM_Enable'] = ' Attivare ';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/lv_LV/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/lv_LV/help/plugin.lang.php	(revision 9265)
+++ /extensions/NBC_UserAdvManager/trunk/language/lv_LV/help/plugin.lang.php	(revision 9266)
@@ -44,9 +44,5 @@
 Statūti ir validēti lietošanai sasaistē ar (apstiprinājums un reģistrācija)  &quot;Confirmation of registration&quot;';
 $lang['UAM_validationlimitTitle'] = 'Reģistrācijas validācijas termiņa ierobežošana';
-$lang['UAM_validationlimitTitle_d'] = 'Šī opcija ļauj ierobežot jaunajiem reģistrantiem nosūtīto atslēgas validācijas e-pastu validitāti. Lietotājiem, kuri reģistrējas ir x dienas laika, lai apstiprinātu savu reģistrāciju. Pēc šī laika beigsies validācijas saite derīgums.<br><br>
-Šī opcija tiek lietota sasaistē ar &quot;Confirmation of registration&quot;';
 $lang['UAM_remailTitle'] = 'Atgādināt nevalidētos lietotājus';
-$lang['UAM_remailTitle_d'] = 'Šī iespēja ļauj nosūtīt atgādinājuma e-pastus reģistrētajiem, bet laikā neveikušajiem validāciju, lietotājiem. Tādēļ ši opcija strādā sasaistē ar (apstiprinājumu un reģistrāciju) &quot;Confirmation of registration&quot;<br><br>
-Var tikt nosūtītas 2 tipu e-vēstules: Ar vai bez validācijas atslēgas reģistrāciju. Ja nepieciešams, e-vēstules saturu var pielāgot.<br><br>Attiecas uz &quot;Validāciju izsekošanas&quot; iezīmi(tab).';
 $lang['UAM_remailtxt1Title'] = 'Atgādinājuma e-vēstule ar jauni uzģenerēto atslēgu';
 $lang['UAM_remailtxt2Title'] = 'Atgādinājuma e-vēstule bez jauni uzģenerētās atslēgas';
@@ -263,4 +259,29 @@
 <br><br>
 To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
+/* TODO */$lang['UAM_validationlimitTitle_d'] = 'Šī opcija ļauj ierobežot jaunajiem reģistrantiem nosūtīto atslēgas validācijas e-pastu validitāti. Lietotājiem, kuri reģistrējas ir x dienas laika, lai apstiprinātu savu reģistrāciju. Pēc šī laika beigsies validācijas saite derīgums.
+<br><br>
+Šī opcija tiek lietota sasaistē ar &quot;Confirmation of registration&quot;
+<br><br>
+If this option and the option &quot;Atgādināt nevalidētos lietotājus&quot; are activated, new options will appear below in this section to enable the automation of unvalidated users management.';
+/* TODO */$lang['UAM_remailTitle_d'] = 'Šī iespēja ļauj nosūtīt atgādinājuma e-pastus reģistrētajiem, bet laikā neveikušajiem validāciju, lietotājiem. Tādēļ ši opcija strādā sasaistē ar (apstiprinājumu un reģistrāciju) &quot;Confirmation of registration&quot;
+<br><br>
+Var tikt nosūtītas 2 tipu e-vēstules: Ar vai bez validācijas atslēgas reģistrāciju. Ja nepieciešams, e-vēstules saturu var pielāgot.<br><br>
+Attiecas uz &quot;Validāciju izsekošanas&quot; iezīmi(tab).
+<br><br>
+If this option and the option &quot;Reģistrācijas validācijas termiņa ierobežošana&quot; are activated, new options will appear below in this section to enable the automation of unvalidated users management.';
+/*TODO*/$lang['UAM_USRAutoTitle'] = 'Automatic management of unvalidated users';
+/*TODO*/$lang['UAM_USRAutoTitle_d'] = 'Automatic handling of unvalidated visitors is triggered each time you connect to the gallery and works as follows:
+<br><br>
+- Automatic deletion of accounts not validated in the allotted time without sending automatic email reminder -> &quot;Deadline for registration validation limited&quot; <b><u>enabled</u></b> and &quot;Remind unvalidated users&quot; <b><u>disabled</u></b>.
+<br><br>
+- Automatically sending a reminder message with a new generation of validation key and automatic deletion of accounts not validated in the time after sending the reminder -> &quot;Deadline for registration validation limited&quot; <b><u>enabled</u></b> et &quot;Remind unvalidated users&quot; <b><u>enabled</u></b>.';
+/*TODO*/$lang['UAM_USRAutoDelTitle'] = 'Custom message on deleted account';
+/*TODO*/$lang['UAM_USRAutoDelTitle_d'] = 'This is only valid when the user whose account has expired itself triggers the deletion mechanism (rare but possible). he\'s then disconnected of the gallery and redirected to a page showing the deletion of his account and, possibly, the reasons for this deletion.
+<br><br>
+Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery. Use <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options. <b style=&quot;color: red;&quot;>[username]</b> is not available here because concerned user has been deleted.
+<br><br>
+Custom text for the redirect page can be entered in this field that is compatible with the FCK Editor and, for multi-languages, you can use the tags [lang] of the plugin Extended description if it\'s active.';
+/*TODO*/$lang['UAM_USRAutoMailTitle'] = 'Automated email reminder';
+/*TODO*/$lang['UAM_USRAutoMailTitle_d'] = 'When activated, this function will automatically send personalized content in &quot;Reminder email with new key generated&quot; to visitors who match criteria.';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/lv_LV/plugin.lang.php	(revision 9265)
+++ /extensions/NBC_UserAdvManager/trunk/language/lv_LV/plugin.lang.php	(revision 9266)
@@ -111,6 +111,4 @@
 $lang['UAM_Title4'] = 'Lietošanas piemēri un ieteikumi';
 $lang['UAM_No_Casse'] = 'Lietotājvārdi: Reģistrjutība';
-$lang['UAM_No_Casse_true'] = ' Iespējot';
-$lang['UAM_No_Casse_false'] = ' Atspējot (pēc noklusēšanas)';
 $lang['UAM_Username_Char'] = 'Lietotājvārdi: Rakstzīmju izslēgšana';
 $lang['UAM_Username_Char_true'] = ' Aizliegtās rakstzīmes:<br>(Lietot komatu, atdalot rakstzīmes)<br><br>';
@@ -118,20 +116,13 @@
 $lang['UAM_Password_Enforced'] = 'Paroļu drošības līmeņa stiprināšana';
 $lang['UAM_Password_Enforced_true'] = ' Iespējot. Minimālais līmenis: ';
-$lang['UAM_Password_Enforced_false'] = ' Atspējot (pēc noklusējuma)';
 $lang['UAM_AdminPassword_Enforced'] = 'Attiecas uz administratoriem';
-$lang['UAM_AdminPassword_Enforced_true'] = ' Iespējot';
-$lang['UAM_AdminPassword_Enforced_false'] = ' Atspējot (pēc noklusēšanas)';
 $lang['UAM_PasswordTest'] = 'Paroles tests: ';
 $lang['UAM_ScoreTest'] = 'Rezultāts: ';
 $lang['UAM_MailExclusion'] = 'E-pasta domēnu izslēgšana';
 $lang['UAM_MailExclusion_true'] = ' Izslēgt sekojošus domēnus:<br>(Lietojiet komatu, lai atdalītu domēnus)';
-$lang['UAM_MailExclusion_false'] = ' Atspējot (pēc noklusējuma)';
 
 $lang['UAM_Mail_Info'] = 'Informācijas sūtīšana lietotājiem ar e-pastu:';
-$lang['UAM_Mail_Info_true'] = ' Iespējot';
-$lang['UAM_Mail_Info_false'] = ' Atspējot (pēc noklusējuma)';
 $lang['UAM_MailInfo_Text'] = ' Insormācijas e-pasta pielāgošana:';
 $lang['UAM_Confirm_Mail'] = 'Reģistrācijas apstiprināšana:';
-$lang['UAM_Confirm_Mail_false'] = ' Atspējot (pēc noklusēšanas)';
 $lang['UAM_ConfirmMail_Text'] = ' Apstiprinājuma e-pasta pielāgošana:';
 $lang['UAM_Confirm_grpstat_notice'] = 'Brīdinājums: Ieteicams lietot vai nu grupu vai pārbaudes statūtus, bet ne abus vienlaicīgi.';
@@ -144,8 +135,5 @@
 $lang['UAM_ValidationLimit_Info'] = 'Reģistrācijas apstiprināšanas limita robežlīnija';
 $lang['UAM_ConfirmMail_TimeOut_true'] = ' Iespējot. Dienu skaits līdz termiņa beigām: ';
-$lang['UAM_ConfirmMail_TimeOut_false'] = ' Atspējot (pēc noklusējuma)';
 $lang['UAM_ConfirmMail_Remail'] = 'Atcerēties neakceptētos lietotājus';
-$lang['UAM_ConfirmMail_Remail_true'] = ' Iespējot';
-$lang['UAM_ConfirmMail_Remail_false'] = 'Atspējot (pēc noklusējuma)';
 $lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Pielāgot atgādinājuma ziņu<b><u>ņemot vērā</u></b> jaunās reģenerācijas atslēgas pārbaudi.';
 $lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Pielāgot atgādinājuma ziņu <b><u>bez</u></b> reģenerācijas atslēgas pārbaudes.';
@@ -153,12 +141,7 @@
 $lang['UAM_GhostTracker'] = 'Ghost (slēpto) apmeklētāju pārvaldība (Ghost Tracker)';
 $lang['UAM_GhostTracker_true'] = ' Iespējot. Maksimālais periods dienās starp divām vizītēm: ';
-$lang['UAM_GhostTracker_false'] = 'Atspējot (pēc noklusējuma)';
 $lang['UAM_GhostTracker_ReminderText'] = 'Ghost Tracker atgadinājuma ziņojuma pielāgošana';
 $lang['UAM_LastVisit'] = ' Reģistrēto lietotāju izsekošana';
-$lang['UAM_LastVisit_true'] = ' Iespējot';
-$lang['UAM_LastVisit_false'] = ' Atspējot (pēc noklusējuma)';
 $lang['UAM_No_Comment_Anonymous'] = 'Viesu komentāriem iesauka (Nickname) obligāta';
-$lang['UAM_No_Comment_Anonymous_true'] = ' Iespējot';
-$lang['UAM_No_Comment_Anonymous_false'] = ' Atspējot (pēc noklusējuma)';
 
 $lang['UAM_Tips1'] = 'Reģistrēšanās ar e-pasta apstiprināšanu un brīdinājuma ziņojums Piwigo mājas lapā';
@@ -193,6 +176,4 @@
 // --------- Starting below: New or revised $lang ---- from version 2.14.0
 $lang['UAM_AdminConfMail'] = 'Reģistrācijas apstiprināšana administratoriem';
-$lang['UAM_Admin_ConfMail_true'] = ' Iespējot';
-$lang['UAM_Admin_ConfMail_false'] = ' Atspējot (pēc noklusējuma)';
 $lang['UAM_Tips1_txt'] = '
 <ul>
@@ -259,6 +240,4 @@
 $lang['UAM_Confirm_Mail_local'] = ' Iespējot – Apstiprinājis administrators (netika nosūtīta apstiprināšanas atslēga)';
 $lang['UAM_RedirToProfile'] = 'Novirzīt uz "Customization" (pielāgošanas) lapu';
-$lang['UAM_RedirToProfile_false'] = ' Atspējot (pēc noklusējuma)';
-$lang['UAM_RedirToProfile_true'] = ' Iespējot';
 // --------- End: New or revised $lang ---- from version 2.15.4
 
@@ -268,11 +247,7 @@
 /* TODO */$lang['UAM_Expired_Status'] = '<b>Status</b> for user\'s registration has expired<br>';
 /* TODO */$lang['UAM_GTAuto'] = 'Automatic management of ghosts users';
-$lang['UAM_GTAuto_false'] = ' Atspējot (pēc noklusējuma)';
-$lang['UAM_GTAuto_true'] = ' Iespējot';
 /* TODO */$lang['UAM_GTAutoDel'] = 'Automatic deletion of accounts';
 /* TODO */$lang['UAM_GTAutoGp'] = 'Automatic change of group / status';
 /* TODO */$lang['UAM_GTAutoMail'] = 'Automatically sending an email when changing group / status';
-/* TODO */$lang['UAM_GTAutoMail_false'] = ' Atspējot (pēc noklusējuma)';
-/* TODO */$lang['UAM_GTAutoMail_true'] = ' Iespējot';
 /* TODO */$lang['UAM_Deleted_Account_Redirection_Page'] = 'Access denied - Account destroyed!';
 /* TODO */$lang['UAM_title_redir_page'] = 'Access denied for having an account destroyed!';
@@ -288,6 +263,9 @@
 // --------- Starting below: New or revised $lang ---- from version 2.20.0
 /* TODO */$lang['UAM_CustomPasswRetr'] = 'Customize lost password email content';
-$lang['UAM_CustomPasswRetr_false'] = ' Atspējot (pēc noklusējuma)';
-$lang['UAM_CustomPasswRetr_true'] = ' Iespējot';
+/* TODO */$lang['UAM_USRAuto'] = 'Automatic management of unvalidated users';
+/* TODO */$lang['UAM_USRAutoDel'] = 'Custom message on deleted account';
+/* TODO */$lang['UAM_USRAutoMail'] = 'Automated email reminder';
+$lang['UAM_Disable'] = ' Atspējot (pēc noklusējuma)';
+$lang['UAM_Enable'] = ' Iespējot ';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
